Bug 151155 - computed size for big mail foders is wrong. It shows 16 777 216,0 TB.
Summary: computed size for big mail foders is wrong. It shows 16 777 216,0 TB.
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-21 21:03 UTC by Jean-Christophe Dubois
Modified: 2008-01-12 14:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
kmail snapshot with folder "open" (163.18 KB, image/jpeg)
2007-10-21 21:08 UTC, Jean-Christophe Dubois
Details
kmail snapshot with folder "closed" (79.58 KB, image/jpeg)
2007-10-21 21:09 UTC, Jean-Christophe Dubois
Details
Patch for the enterprise branch of kdepim (7.96 KB, patch)
2007-12-21 14:59 UTC, Jean-Christophe Dubois
Details
Patch for the enterprise branch of kdepim (8.31 KB, patch)
2007-12-21 18:55 UTC, Jean-Christophe Dubois
Details
Patch for the enterprise branch of kdepim (6.17 KB, patch)
2007-12-29 10:50 UTC, Jean-Christophe Dubois
Details
Patch for the enterprise branch of kdepim (6.49 KB, patch)
2008-01-02 09:20 UTC, Jean-Christophe Dubois
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Christophe Dubois 2007-10-21 21:03:49 UTC
Version:           1.9.6 (enterprise 0.20070907.709405) (using KDE 3.5.8, Kubuntu (gutsy) 4:3.5.8-0ubuntu3)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.22-14-generic

I sounds like when a mail folder contains quite a few sub mail folders, some of them of big size (> 500MB), the computed size of the "root" folder is wrong as it shows as "144B + 16 777 216,0TB". Obviously I don't have that much disk space on my single hard disk system.

I will attach some snapshot to show what is happening.

JC
Comment 1 Jean-Christophe Dubois 2007-10-21 21:08:04 UTC
Created attachment 21890 [details]
kmail snapshot with folder "open"
Comment 2 Jean-Christophe Dubois 2007-10-21 21:09:04 UTC
Created attachment 21891 [details]
kmail snapshot with folder "closed"
Comment 3 Jean-Christophe Dubois 2007-10-25 10:23:10 UTC
it seems that this miscalculation happens if a "folder" contains more than 2GB of email/data in subfolders.
Comment 4 Jean-Christophe Dubois 2007-12-20 13:31:27 UTC
Looking at the kmail code, it seems the size is always considered as a signed int. Therefore the max size that can be computed is 2GB. 

So it looks like all the size computation API will need to be reworked ...
Comment 5 Jean-Christophe Dubois 2007-12-20 19:06:52 UTC
class FolderStorage : public QObject
{
public:
    ...
    size_t   folderSize () const;
    ...
}

and size_t could be 32bits only especially on 32 bits platforms.

So what would be a good replacement for it? Should we use "long long" instead? In any case size_t is not a correct choice for 32 bits architectures if we want to be able to handle more than 2GB folders.

Comment 6 Allen Winter 2007-12-20 19:54:51 UTC
quint64
This type is guaranteed to be 64-bit on all platforms supported by Qt.
Comment 7 Jean-Christophe Dubois 2007-12-20 21:43:42 UTC
quint64 seems to be a QT4 thing. Is QT3 not supported anymore? What is the official position about this kind of portability (Sorry I don't follow the KDE development that close)?
Comment 8 Allen Winter 2007-12-20 22:05:24 UTC
Try Q_INT64 for KDE3/Qt3

We are concentrating on fixing stuff for KDE4/Qt4.
But I will look at your patches for KDE3/Qt3.

Comment 9 Jean-Christophe Dubois 2007-12-20 22:37:09 UTC
I am working with Kubuntu (7.10) as may desktop/development system so I will base my patch on the Ubuntu source package. Is this acceptable?
Comment 10 Thomas McGuire 2007-12-20 23:13:41 UTC
SVN commit 751020 by tmcguire:

Use qint64 instead of size_t for the folder size calculation, otherwise 
folders >2GB won't show up correctly on 32 Bit systems.

I hope I found all places were the conversion was necessary.
I couldn't really test this, as i don't have a 64 Bit system, but I should
work.

BUG: 151155



 M  +1 -1      kmail/favoritefolderview.cpp  
 M  +3 -3      kmail/folderstorage.cpp  
 M  +2 -2      kmail/folderstorage.h  
 M  +1 -1      kmail/kmfoldermaildir.cpp  
 M  +2 -2      kmail/kmfoldermaildir.h  
 M  +1 -1      kmail/kmfoldermbox.cpp  
 M  +1 -3      kmail/kmfoldermbox.h  
 M  +4 -4      libkdepim/kfoldertree.cpp  
 M  +4 -4      libkdepim/kfoldertree.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=751020
Comment 11 Jean-Christophe Dubois 2007-12-20 23:48:03 UTC
Thomas,

OK that was quick. Too bad I was not fast enough to make a first contribution to the project.

While this patch seems OK (Sorry I haven't tested it), would it make sense to use Q_INT64 instead of qint64. Q_INT64 is defined in both QT3 and QT4 while qint64 is QT4 specific.

I guess there are still people/distributions using QT3/KDE3 out there ... Once again I am not sure what is the policy regarding keeping compatibility with previous versions of QT/KDE.
Comment 12 Thomas McGuire 2007-12-20 23:55:50 UTC
> OK that was quick. Too bad I was not fast enough to make a first
> contribution to the project.

Uups, sorry, I didn't know you were working on it too.

> While this patch seems OK (Sorry I haven't tested it), would it make sense
> to use Q_INT64 instead of qint64. Q_INT64 is defined in both QT3 and QT4
> while qint64 is QT4 specific.

Well, my patch was commited to trunk, which is Qt4-only anyway. If this patch 
is available for the 3.5 branch, it can of course use Q_INT64.

> I guess there are still people/distributions using QT3/KDE3 out there ...
> Once again I am not sure what is the policy regarding keeping compatibility
> with previous versions of QT/KDE.

Well, I don't have time to work on the 3.5 version.
However, if someone sends a patch against the 3.5 branch, I'll commit it. So 
you can probably convert this patch to the 3.5 version.
However, I think the actual version you are using is the enterprise branch 
(branches/kdepim/enterprise), since the normal 3.5 branch doesn't have this 
feature.

Anyway, if you manage to convert this patch to the enterprise branch (which is 
probably the version of the ubuntu source package), I'll commit it.
Comment 13 Jean-Christophe Dubois 2007-12-21 14:59:54 UTC
Created attachment 22643 [details]
Patch for the enterprise branch of kdepim

This is a patch to correct the integer overflow in folder size computation for
the enterprise branch of kdepim.

I tested it on an i686 platform (kubuntu 7.10) and the size is now displayed
correctly if the folder is > 2GB.
Comment 14 Jean-Christophe Dubois 2007-12-21 15:11:44 UTC
Thomas,

Please could you review my patch. I think you missed a few places where some changes would be required.
Comment 15 Thomas McGuire 2007-12-21 17:44:28 UTC
SVN commit 751307 by tmcguire:

Fix the folder size in two more places.
Thanks to Jean-Christophe for noticing this.

CCBUG: 151155



 M  +1 -1      kmail/kmfoldertree.cpp  
 M  +1 -1      libkdepim/kfoldertree.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=751307
Comment 16 Thomas McGuire 2007-12-21 17:51:11 UTC
Jean, what about FolderStorage::readConfig()?
There, the size value is read from the config. Make sure the correct read function is called. I also made that error in trunk (fixed with rev. 751303, but the read functions in KDE4 are different).

Thanks for the patch!
I'll ask for it to be commited as soon as I see till on IRC. Make sure to remind me if this is not done within, say, one week.
Comment 17 Jean-Christophe Dubois 2007-12-21 18:50:18 UTC
Thomas,

I was wondering about this (the config stuff) ... And it seems you are right and I overlooked this issue. I'll resubmit a patch with a fix for this.
Comment 18 Jean-Christophe Dubois 2007-12-21 18:55:54 UTC
Created attachment 22644 [details]
Patch for the enterprise branch of kdepim 

This is a patch to correct the integer overflow in folder size computation for
the enterprise branch of kdepim. 
 
I tested it on an i686 platform (kubuntu 7.10) and the size is now displayed
correctly if the folder is > 2GB.

This patch is a corrected version of the previous one where the wrong
readXXXConfig function was used for the (Q_INT64 mSize) private value of the
FolderStorage class.
Comment 19 Thomas McGuire 2007-12-28 14:15:03 UTC
>Patch for the enterprise branch of kdepim
That patch doesn't apply cleanly, your enterprise version is too outdated (in paticular: favoritefolderview.cpp).
use "svn co svn://anonsvn.kde.org/home/kde/branches/kdepim/enterprise" to get the lastest version, then do your changes, then use "svn diff" to generate the patch.
Comment 20 Jean-Christophe Dubois 2007-12-28 14:54:51 UTC
Sorry, I was working with whatever source package is provided with kubuntu 7.10. I'll revise the patch for the enterprise/LATEST branch.
Comment 21 Till Adam 2007-12-28 14:59:54 UTC
SVN commit 753784 by tilladam:

Merged revisions 738083,738112,738142,738183,738296,738320,738335,738394,738442,738444,738570,738624,738789,738796,738798,738802,738811,738832,738850,738892,738940,738992,739009,739061,739072,739089,739093-739094,739505,739533,739758,739825,740106,740205,740232,740266,740349,740578,740602-740603,740607,740850,740872-740873,740885,740888,740925-740926,740968,740981-740982,740998,741007,741013,741019,741037,741039-741040,741048,741303,741375-741376,741381,741394-741395,741404,741413,741429,741434,741472,741474,741540,741559,741569,741605,741613,741732,741929,742225,742308,742406,742440,742825,743060,743109,743144,743236,743268,743273,743276,743294,743297,743299,743311-743312,743385,743401,743430,743440,743453,743475-743476,743505,743598,743610,743616,743622,743632,743634,743639,743675,743685,743745,743880,743989,744007,744079,744112,744163,744172,744179,744181,744223-744224,744233,744243,744245-744246,744272,744312,744362,744416,744427,744432,744434,744463,744593-744594,744597,
 744610,744631,744640,744646,744648,744651,744655,744713,744795,744843,744879,744882,744933,744936,744949-744951,744958,745114,745185,745286,745331,745355,745697,745703,745707,745741-745742,745748,745766,745987,745993,746020,746042,746085,746090,746096,746103,746121,746144,746195,746312,746402,746477,746482,746495,746639,746667,746676,746679,746690,746736,746742,746758,746786,746860,746905,746968,746973-746974,746978,747029,747151,747284,747320,747333,747352,747360,747363,747374,747424-747425,747538,747671,747715,747787,747951,748079,748216,748275,748431,748604,748726,748828,748838,748846,748904-748905,748942,749004,749216,749341,749347,749505,749510,749843,749903,750150,750265,750412,750625,750634,750732,750745,750754,750769,750792,750893,750915,750955,750976-750977,750987,750997,751020,751029,751033,751043,751059-751060,751065,751156,751161,751176,751211,751262,751279,751293-751294,751303,751307,751443,751550,751623,751642,751673,751675,751697,751848,751977,752060,752320-75
 2321,752335,752378,752399,752499,752576,752579,752581,752708,752739,752769,752788,752797,753055,753061,753066,753090,753095,753108,753121,753229,753390,753418,753451,753493-753494,753497,753563,753595,753677,753724,753758 via svnmerge from 
svn+ssh://tilladam@svn.kde.org/home/kde/trunk/KDE/kdepim

................
  r738083 | tmcguire | 2007-11-17 23:39:55 +0100 (Sat, 17 Nov 2007) | 7 lines
  
  - Fix typo (HTTP Request -> HTTP Requests, same for LDAP)
  - Remove now unnecessary group box
  - Fix horizontal alignments (for example at the HTTP radio buttons)
  
  CCBUG: 152410
................
  r738112 | tmcguire | 2007-11-18 01:08:58 +0100 (Sun, 18 Nov 2007) | 7 lines
  
  Remove unused includes. I originally wanted to only remove the ones
  now obsolete because of the removed classic recipient editor, but
  ended up doing them all.
  
  Also, remove unused member variable.
................
  r738142 | winterz | 2007-11-18 02:41:39 +0100 (Sun, 18 Nov 2007) | 2 lines
  
  don't allow the user to remove the timezone if we only have 1 timezone.
................
  r738183 | scripty | 2007-11-18 08:53:11 +0100 (Sun, 18 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r738296 | tmcguire | 2007-11-18 16:33:17 +0100 (Sun, 18 Nov 2007) | 3 lines
  
  Add include, this hopefully fixes the build failure on Dashboard.
................
  r738320 | djarvie | 2007-11-18 17:26:23 +0100 (Sun, 18 Nov 2007) | 2 lines
  
  Bug 152325: fix deferral of non-recurring alarms not working
................
  r738335 | osterfeld | 2007-11-18 18:13:30 +0100 (Sun, 18 Nov 2007) | 4 lines
  
  implement operator< correctly
  Patch by Kleag
................
  r738394 | djarvie | 2007-11-18 21:01:28 +0100 (Sun, 18 Nov 2007) | 1 line
  
  Fix loss of reminder details in archive when alarm has had a reminder deferred
................
  r738442 | tstaerk | 2007-11-18 23:25:44 +0100 (Sun, 18 Nov 2007) | 1 line
  
  solving a little timeZone challenge
................
  r738444 | lcorbasson | 2007-11-18 23:29:22 +0100 (Sun, 18 Nov 2007) | 6 lines
  
  Make the configuration dialogs for the plugins appear again.
  
  Thanks FiNeX for reporting this bug.
  
  CCBUG: 152415
................
  r738570 | scripty | 2007-11-19 08:54:11 +0100 (Mon, 19 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r738624 | lcorbasson | 2007-11-19 10:59:05 +0100 (Mon, 19 Nov 2007) | 4 lines
  
  Following commit 738444, this is fix part 2: the 'This Day in History' plug-in doesn't have settings.
  
  BUG: 152415
................
  r738789 | tmcguire | 2007-11-19 19:07:26 +0100 (Mon, 19 Nov 2007) | 3 lines
  
  Fix crash when enabling or disabling plugins from the settings dialog.
................
  r738796 | tmcguire | 2007-11-19 19:30:18 +0100 (Mon, 19 Nov 2007) | 3 lines
  
  Don't crash on startup.
................
  r738798 | tmcguire | 2007-11-19 19:35:41 +0100 (Mon, 19 Nov 2007) | 4 lines
  
  Don't show a slider next to the port input widget.
  
  This was reported on a krush saturday, thanks.
................
  r738802 | tmcguire | 2007-11-19 19:46:24 +0100 (Mon, 19 Nov 2007) | 3 lines
  
  Hopefully fix the layout mess I created.
................
  r738811 | tmcguire | 2007-11-19 20:18:38 +0100 (Mon, 19 Nov 2007) | 4 lines
  
  Remove address selector classes, which are now unused after the
  removal of KMail's classical recipient editor.
................
  r738832 | arzie | 2007-11-19 21:31:34 +0100 (Mon, 19 Nov 2007) | 1 line
  
  Treat root maildir as a separate case, wrt subfolders.
................
  r738850 | arzie | 2007-11-19 22:11:08 +0100 (Mon, 19 Nov 2007) | 1 line
  
  Small fixes.
................
  r738892 | danimo | 2007-11-19 23:39:04 +0100 (Mon, 19 Nov 2007) | 2 lines
  
  proper sized color roles, make default entry bold
................
  r738940 | danimo | 2007-11-20 01:25:03 +0100 (Tue, 20 Nov 2007) | 2 lines
  
  auto-assign color from the oxygen palette for new resources. be dumb about it for now
................
  r738992 | tstaerk | 2007-11-20 06:27:02 +0100 (Tue, 20 Nov 2007) | 1 line
  
  reFresh the sessionTiMes
................
  r739009 | scripty | 2007-11-20 08:44:44 +0100 (Tue, 20 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r739061 | staniek | 2007-11-20 12:02:40 +0100 (Tue, 20 Nov 2007) | 2 lines
  
  compile (!gcc)
................
  r739072 | msoeken | 2007-11-20 13:13:33 +0100 (Tue, 20 Nov 2007) | 4 lines
  
  When entering incorrect account, an error was displayed but the dialog was closed nevertheless.
  
  With this patch the error is displayed and the dialog will not be closed afterwards.
................
  r739089 | msoeken | 2007-11-20 14:31:03 +0100 (Tue, 20 Nov 2007) | 2 lines
  
  Use server name when name is empty (s. kde4bugs on techbase)
................
  r739093 | msoeken | 2007-11-20 14:46:46 +0100 (Tue, 20 Nov 2007) | 2 lines
  
  more common icon for appearance settings in configure dialog
................
  r739094 | msoeken | 2007-11-20 14:49:32 +0100 (Tue, 20 Nov 2007) | 2 lines
  
  fix icon
................
  r739505 | mlaurent | 2007-11-21 08:42:46 +0100 (Wed, 21 Nov 2007) | 2 lines
  
  miniicon doesn't exist
................
  r739533 | scripty | 2007-11-21 09:01:17 +0100 (Wed, 21 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r739758 | djarvie | 2007-11-21 21:37:55 +0100 (Wed, 21 Nov 2007) | 1 line
  
  Make menu key work
................
  r739825 | tstaerk | 2007-11-22 00:26:20 +0100 (Thu, 22 Nov 2007) | 4 lines
  
  Applying a (very sensible) patch by Teemu Rytilahti to only show the
  tabbar if there is more than one tab.
................
  r740106 | winterz | 2007-11-22 15:50:02 +0100 (Thu, 22 Nov 2007) | 3 lines
  
  X-KDE-DocPath => X-DocPath
................
  r740205 | djarvie | 2007-11-22 20:47:52 +0100 (Thu, 22 Nov 2007) | 1 line
  
  Make menu key work in resources list
................
  r740232 | msoeken | 2007-11-22 21:47:27 +0100 (Thu, 22 Nov 2007) | 5 lines
  
  Add Task behavior of the search or add task textedit  was broken because of event overriding in KTreeWidgetSearchLine.
  So I replaced the SIGNAL/SLOT implementation with a QObject eventFilter.
  
  Now it works again!
................
  r740266 | ewoerner | 2007-11-22 22:45:47 +0100 (Thu, 22 Nov 2007) | 2 lines
  
  Fix Akregator opening two konqueror on double click, feed list context menu appearing twice
................
  r740349 | jpetso | 2007-11-23 03:51:13 +0100 (Fri, 23 Nov 2007) | 4 lines
  
  Icon renaming:
  * message -> mail-message
  * item-drag-multiple -> document-multiple
................
  r740578 | tmcguire | 2007-11-23 15:59:43 +0100 (Fri, 23 Nov 2007) | 3 lines
  
  Use new icon for misc preferences.
................
  r740602 | tmcguire | 2007-11-23 17:51:01 +0100 (Fri, 23 Nov 2007) | 4 lines
  
  tabs--
  
  SVN_SILENT
................
  r740603 | tmcguire | 2007-11-23 17:58:09 +0100 (Fri, 23 Nov 2007) | 5 lines
  
  Silence some of the new overload-virtual compiler warnings.
  This probably fixes a bug, since installProfile without arguments
  was never used anywhere.
................
  r740607 | ewoerner | 2007-11-23 18:27:49 +0100 (Fri, 23 Nov 2007) | 2 lines
  
  Prevent connecting more than once, second try
................
  r740850 | scripty | 2007-11-24 08:34:07 +0100 (Sat, 24 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r740872 | habacker | 2007-11-24 10:06:27 +0100 (Sat, 24 Nov 2007) | 1 line
  
  kde4 compile fix
................
  r740873 | habacker | 2007-11-24 10:06:53 +0100 (Sat, 24 Nov 2007) | 1 line
  
  kde4 compile fix
................
  r740885 | habacker | 2007-11-24 11:37:32 +0100 (Sat, 24 Nov 2007) | 1 line
  
  kde4 compile fix
................
  r740888 | habacker | 2007-11-24 11:43:52 +0100 (Sat, 24 Nov 2007) | 1 line
  
  kde4 compile fix
................
  r740925 | mlaurent | 2007-11-24 13:14:37 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  setAssociateWidget doesn't exist
................
  r740926 | mlaurent | 2007-11-24 13:15:57 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  Fix compile
................
  r740968 | msoeken | 2007-11-24 15:08:52 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  compile++ (KActionCollection method name has changed)
................
  r740981 | pino | 2007-11-24 15:42:05 +0100 (Sat, 24 Nov 2007) | 6 lines
  
  icon renamings:
  - text_super -> format-text-superscript
  - text_sub -> format-text-subscript
  - format_increaseindent -> format-indent-more
  - format_decreaseindent -> format-indent-less
................
  r740982 | pino | 2007-11-24 15:42:43 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  move to the crystalsvg theme
................
  r740998 | winterz | 2007-11-24 16:34:44 +0100 (Sat, 24 Nov 2007) | 7 lines
  
  From "J?\195?\169r?\195?\169my Compostella":
  A patch to fix the "New Feed/New SMS actions crash Kontact" seen
  on http://techbase.kde.org/Projects/kdepim/kde4bugs.
  
  a bit tweaked by me so it will compile.
................
  r741007 | winterz | 2007-11-24 16:50:16 +0100 (Sat, 24 Nov 2007) | 3 lines
  
  minor formatting
  SVN_SILENT:
................
  r741013 | winterz | 2007-11-24 16:56:05 +0100 (Sat, 24 Nov 2007) | 3 lines
  
  minor formatting
  SVN_SILENT:
................
  r741019 | winterz | 2007-11-24 17:05:02 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  give the new sms an icon
................
  r741037 | winterz | 2007-11-24 17:47:05 +0100 (Sat, 24 Nov 2007) | 9 lines
  
  From "J?\195?\169r?\195?\169my Compostella":
  A patch which fix the "Crash on shutdown if KMail's composer has been
  used" bug referenced on http://techbase.kde.org/Projects/kdepim/kde4bugs.
  
  also includes some coding style fixes.
  
................
  r741039 | pino | 2007-11-24 17:49:13 +0100 (Sat, 24 Nov 2007) | 3 lines
  
  icon renaming:
  - enum_list -> format-list-ordered
................
  r741040 | pino | 2007-11-24 17:49:48 +0100 (Sat, 24 Nov 2007) | 2 lines
  
  move to the crystalsvg theme
................
  r741048 | winterz | 2007-11-24 18:09:26 +0100 (Sat, 24 Nov 2007) | 9 lines
  
  From "J?\195?\169r?\195?\169my Compostella":
  A patch which fix the "Initial column sizes of the folder tree wrong"
  bug referenced on http://techbase.kde.org/Projects/kdepim/kde4bugs.
  
  Just let the automatic sizing for the "Folder" column. setStrech on
  the other to avoid scrolling bar.
  
................
  r741303 | alexmerry | 2007-11-25 12:47:08 +0100 (Sun, 25 Nov 2007) | 4 lines
  
  Update to new API.  I can now save a file from the article viewer pane
  without Akregator crashing...
................
  r741375 | hdhoang | 2007-11-25 15:56:37 +0100 (Sun, 25 Nov 2007) | 1 line
  
  Fix compilation with Qt4.4, kudos to JohnFlux
................
  r741376 | winterz | 2007-11-25 15:58:39 +0100 (Sun, 25 Nov 2007) | 6 lines
  
  Patch from J?\195?\169r?\195?\169my Compostella:
  fix the "Crash when exiting kaddressbook after editing contact" bug
  referenced on http://techbase.kde.org/Projects/kdepim/kde4bugs.
  
................
  r741381 | tmcguire | 2007-11-25 16:07:17 +0100 (Sun, 25 Nov 2007) | 12 lines
  
  Disable updates while rebuilding the folder tree.
  This fixes a crash when the folder name does not fit in the name
  column, and (because of the recent auto-resize patch) the view
  is repainted when setText() is called inside the constructor
  of KMFolderTreeItem.
  And repainting inside the constructor is bad, because the code
  which calculates the unread count (which is done every repaint)
  relies on fully constructed tree items.
  
  Also, fix identation.
................
  r741394 | osterfeld | 2007-11-25 16:56:19 +0100 (Sun, 25 Nov 2007) | 2 lines
  
  connect timer only once 
................
  r741395 | osterfeld | 2007-11-25 16:58:45 +0100 (Sun, 25 Nov 2007) | 4 lines
  
  various article model-related fixes
  also fixes a crash happening on prev/next article
  BUG:152701
................
  r741404 | msoeken | 2007-11-25 17:29:19 +0100 (Sun, 25 Nov 2007) | 2 lines
  
  Do not remove the last address type. It only causes crashes and does not make sense at all.
................
  r741413 | msoeken | 2007-11-25 17:51:43 +0100 (Sun, 25 Nov 2007) | 6 lines
  
  This patch is according to bug 138093. In kde4 the behavior with the Ok button is already "fixed".
  
  But this patch addresses the other issue, that sometimes the dialog is not shown. The dialog is not shown if there is no resource to move the contact into, so I check this for enable/disable the action.
  
  Should I put a comment to the bug like fixed in version 4.0 or something like that? I have no experience with KDE3 development.
................
  r741429 | osterfeld | 2007-11-25 18:16:06 +0100 (Sun, 25 Nov 2007) | 2 lines
  
  fix quick search
................
  r741434 | osterfeld | 2007-11-25 18:26:18 +0100 (Sun, 25 Nov 2007) | 3 lines
  
  intially disable close button (works around a known Qt problem not emitting currentChanged when the first tab is added)
  BUG:152827
................
  r741472 | osterfeld | 2007-11-25 19:32:01 +0100 (Sun, 25 Nov 2007) | 2 lines
  
  fix margin
................
  r741474 | osterfeld | 2007-11-25 19:32:49 +0100 (Sun, 25 Nov 2007) | 3 lines
  
  fix switching back to main tab when the feed selection changes
  remove some useless debug output
................
  r741540 | uwolfer | 2007-11-25 22:12:57 +0100 (Sun, 25 Nov 2007) | 1 line
  
  Improve icons usages
................
  r741559 | osterfeld | 2007-11-25 22:25:00 +0100 (Sun, 25 Nov 2007) | 4 lines
  
  hide tabbar when only one tab is there. sweet.
  minor cleanup
  BUG:118324
................
  r741569 | osterfeld | 2007-11-25 22:47:44 +0100 (Sun, 25 Nov 2007) | 2 lines
  
  better column resize behaviour
................
  r741605 | osterfeld | 2007-11-26 00:12:11 +0100 (Mon, 26 Nov 2007) | 2 lines
  
  more model implementation/fixes
................
  r741613 | osterfeld | 2007-11-26 00:36:37 +0100 (Mon, 26 Nov 2007) | 2 lines
  
  use KIcon ctor
................
  r741732 | osterfeld | 2007-11-26 10:15:34 +0100 (Mon, 26 Nov 2007) | 2 lines
  
  the append code only works correctly if list is non-empty
................
  r741929 | dfaure | 2007-11-26 20:04:12 +0100 (Mon, 26 Nov 2007) | 2 lines
  
  Move thumbnailfont_7x4.png from libkonq (where it's not used) to the kio_thumbnail code (where it's used); spotted by Maksim.
................
  r742225 | vkrause | 2007-11-27 16:53:55 +0100 (Tue, 27 Nov 2007) | 9 lines
  
  Merged revisions 737668 via svnmerge from 
  https://vkrause@svn.kde.org/home/kde/branches/work/arzie_akonadi
  
  ........
    r737668 | arzie | 2007-11-16 23:57:48 +0100 (Fri, 16 Nov 2007) | 1 line
    
    Updated Akonadi concept drawing.
  ........
................
  r742308 | tmcguire | 2007-11-27 20:59:06 +0100 (Tue, 27 Nov 2007) | 8 lines
  
  Also set the current item when setting an item as selected, or else
  currentRow() will not return the new value.
  
  This fixes a crash when pressing tab on the first item.
  
  BUG: 152900
................
  r742406 | djarvie | 2007-11-28 00:15:33 +0100 (Wed, 28 Nov 2007) | 1 line
  
  Prevent error saving alarm to resource which has been newly added
................
  r742440 | djarvie | 2007-11-28 02:00:21 +0100 (Wed, 28 Nov 2007) | 1 line
  
  Fix warnings
................
  r742825 | djarvie | 2007-11-29 00:52:49 +0100 (Thu, 29 Nov 2007) | 1 line
  
  Update email address
................
  r743060 | aacid | 2007-11-29 20:37:48 +0100 (Thu, 29 Nov 2007) | 2 lines
  
  Use >> instead of > to get translators placeholders
................
  r743109 | uwolfer | 2007-11-29 22:34:03 +0100 (Thu, 29 Nov 2007) | 1 line
  
  fix icons
................
  r743144 | winterz | 2007-11-29 23:22:47 +0100 (Thu, 29 Nov 2007) | 3 lines
  
  setSource(const QString &) => setSource(const QUrl &)
  found with the helpful -Woverloaded-virtual option.
................
  r743236 | scripty | 2007-11-30 08:57:19 +0100 (Fri, 30 Nov 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r743268 | coles | 2007-11-30 14:00:20 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  Workaround for gcc v3.x parse error.
................
  r743273 | coles | 2007-11-30 14:14:42 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  Workaround for gcc v3.x parser error.
................
  r743276 | coles | 2007-11-30 14:24:15 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  Workaround for g++ v3.x problems with foreach being used in template methods.
................
  r743294 | winterz | 2007-11-30 15:46:24 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  overloaded-virtual--
................
  r743297 | winterz | 2007-11-30 15:55:27 +0100 (Fri, 30 Nov 2007) | 2 lines
  
  rearrange so it isn't so huge vertically
................
  r743299 | winterz | 2007-11-30 16:08:34 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  do not allow the configured timezone to be removed.  the user should only be permitted
  to change the configured timezone through the settings dialog.
................
  r743311 | winterz | 2007-11-30 17:01:43 +0100 (Fri, 30 Nov 2007) | 2 lines
  
  unused variable warnings--
................
  r743312 | winterz | 2007-11-30 17:08:13 +0100 (Fri, 30 Nov 2007) | 2 lines
  
  potential crash guard
................
  r743385 | binner | 2007-11-30 21:33:11 +0100 (Fri, 30 Nov 2007) | 2 lines
  
  non-equal parameter names
................
  r743401 | bram | 2007-11-30 22:10:56 +0100 (Fri, 30 Nov 2007) | 3 lines
  
  This is already covered by ../Messages.sh
................
  r743430 | eschepers | 2007-11-30 23:51:29 +0100 (Fri, 30 Nov 2007) | 2 lines
  
  first part of fixing sending html messages
................
  r743440 | winterz | 2007-12-01 00:28:04 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  remove the KORG_NODBUS conditional compiles so we can start actually working on the D-Bus stuff for the EventViewer.
................
  r743453 | djarvie | 2007-12-01 01:11:04 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  Use KCal::Duration instead of minutes for repetition intervals etc.
................
  r743475 | winterz | 2007-12-01 04:08:37 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  deprecated--
................
  r743476 | winterz | 2007-12-01 04:13:28 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  overloaded-virtual-warning--
................
  r743505 | scripty | 2007-12-01 08:43:07 +0100 (Sat, 01 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r743598 | lcorbasson | 2007-12-01 13:52:03 +0100 (Sat, 01 Dec 2007) | 1 line
  
  Remove theme testing app from the targets to be built
................
  r743610 | tstaerk | 2007-12-01 14:30:58 +0100 (Sat, 01 Dec 2007) | 1 line
  
  Show correct times in the maInWindow
................
  r743616 | tokoe | 2007-12-01 15:03:42 +0100 (Sat, 01 Dec 2007) | 3 lines
  
  Add scalixadmin tool, that finishes the KDE4 port of the scalix support.
  Acknowleged by Allen.
................
  r743622 | winterz | 2007-12-01 15:09:26 +0100 (Sat, 01 Dec 2007) | 3 lines
  
  Fix D-Bus calls for editing and showing incidences.
  Thanks to Kevin.
................
  r743632 | tmcguire | 2007-12-01 16:02:21 +0100 (Sat, 01 Dec 2007) | 8 lines
  
  Don't show the account creation wizard and the tip of the day dialog at the same time.
  
  Patch by Leonardo Finetti <finex at finex dot org>, who agrees to a 
  relicense under GPLv2+ or GPLv2+v3.
  
  Thanks!
................
  r743634 | winterz | 2007-12-01 16:11:42 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  >> rc.cpp

................
  r743639 | winterz | 2007-12-01 16:26:10 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  add context to a few i18n messages.
................
  r743675 | djarvie | 2007-12-01 17:53:52 +0100 (Sat, 01 Dec 2007) | 1 line
  
  Include recent changes
................
  r743685 | winterz | 2007-12-01 18:21:03 +0100 (Sat, 01 Dec 2007) | 4 lines
  
  Fix "Edit categories" dialog opens in background.
  Patch by FiNex.
................
  r743745 | eschepers | 2007-12-01 20:44:31 +0100 (Sat, 01 Dec 2007) | 2 lines
  
  fixing html composing
................
  r743880 | scripty | 2007-12-02 09:06:48 +0100 (Sun, 02 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r743989 | tstaerk | 2007-12-02 15:00:37 +0100 (Sun, 02 Dec 2007) | 5 lines
  
  Allowing more than 60 minutes for a task.
  
................
  r744007 | tstaerk | 2007-12-02 15:43:57 +0100 (Sun, 02 Dec 2007) | 1 line
  
  display times correctly
................
  r744079 | djarvie | 2007-12-02 17:46:55 +0100 (Sun, 02 Dec 2007) | 2 lines
  
  If there is only one archived or template resource, set it to be the default resource.
................
  r744112 | djarvie | 2007-12-02 19:06:37 +0100 (Sun, 02 Dec 2007) | 3 lines
  
  Allow archived resource to be deselected as default resource if expired alarms aren't
  being archived.
................
  r744163 | jpetso | 2007-12-02 21:35:48 +0100 (Sun, 02 Dec 2007) | 6 lines
  
  Icon renaming (code changes - KDE):
  editinput -> edit-rename
  
  Guess who's got a brand new checkout of all of
  KDE, koffice, extragear and playground? :))
................
  r744172 | marten | 2007-12-02 22:05:16 +0100 (Sun, 02 Dec 2007) | 3 lines
  
  Don't crash in slotTouchMessage() if the message does not have a parent
  folder, such as when viewing a message from a file.
................
  r744179 | ducharme | 2007-12-02 22:26:22 +0100 (Sun, 02 Dec 2007) | 5 lines
  
  Set the entire row in bold if there are unread items in this folder.
  
  (Path ok'd in #akregator)
................
  r744181 | tmcguire | 2007-12-02 22:33:17 +0100 (Sun, 02 Dec 2007) | 5 lines
  
  Some whitespace style fixes
  
  SVN_SILENT
................
  r744223 | jpetso | 2007-12-03 01:01:29 +0100 (Mon, 03 Dec 2007) | 4 lines
  
  Adapt a lot of KMail icons to the new naming scheme.
  I think I should not have broken anything;
  if I did, come and beat me.
................
  r744224 | jpetso | 2007-12-03 01:02:44 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  mail-mark-notjunk is in Oxygen already, no need for duplication.
................
  r744233 | djarvie | 2007-12-03 01:34:54 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  Fix warnings about hidden overloaded virtual methods
................
  r744243 | winterz | 2007-12-03 02:54:05 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  replace a contraction in a whatsthis text.
................
  r744245 | winterz | 2007-12-03 03:00:53 +0100 (Mon, 03 Dec 2007) | 3 lines
  
  fix i18n malformed markup
  coding style fixes too.
................
  r744246 | winterz | 2007-12-03 03:07:45 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  i18n message context.
................
  r744272 | jpetso | 2007-12-03 07:27:42 +0100 (Mon, 03 Dec 2007) | 9 lines
  
  Masses of icon fixes and adaptions, caused by the original
  desire to rename "edit" to "object-edit". I changed my mind
  in the middle of the process (but had lots of other changes
  lying around already and really need to stop), so many
  or all of the newly renamed "object-edit" icons might
  vanish again.
  
  But all in all, there are improvements in many places.
................
  r744312 | tstaerk | 2007-12-03 08:53:17 +0100 (Mon, 03 Dec 2007) | 4 lines
  
  Allow saving a task that is running (e.g. has no endtime).
................
  r744362 | scripty | 2007-12-03 09:25:55 +0100 (Mon, 03 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r744416 | winterz | 2007-12-03 15:54:03 +0100 (Mon, 03 Dec 2007) | 4 lines
  
  fix up a messy i18n string
  warnings--
  coding style
................
  r744427 | rodda | 2007-12-03 16:30:33 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  KActionCollection::associateWidget -> addAssociatedWidget
................
  r744432 | winterz | 2007-12-03 16:48:53 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  modality is configurable now
................
  r744434 | winterz | 2007-12-03 16:49:39 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  set CategoryEditDialog modality to 'true'.  I think it works better this way.
................
  r744463 | tmcguire | 2007-12-03 19:25:02 +0100 (Mon, 03 Dec 2007) | 3 lines
  
  Fix build.
................
  r744593 | djarvie | 2007-12-03 23:25:46 +0100 (Mon, 03 Dec 2007) | 2 lines
  
  Pass reference instead of object
................
  r744594 | djarvie | 2007-12-03 23:26:19 +0100 (Mon, 03 Dec 2007) | 1 line
  
  Set correct version number in calendar files
................
  r744597 | djarvie | 2007-12-03 23:27:59 +0100 (Mon, 03 Dec 2007) | 1 line
  
  Remove unused param
................
  r744610 | jpetso | 2007-12-03 23:58:13 +0100 (Mon, 03 Dec 2007) | 4 lines
  
  First case of post-change "object-edit" icon replacement
  with "document-properties", and subsequent change of
  the previous "document-properties" to "help-about.
................
  r744631 | jpetso | 2007-12-04 01:02:08 +0100 (Tue, 04 Dec 2007) | 5 lines
  
  Use kdebase/runtime icons where possible, and move
  the remaining action icon (hotsync -> sync-start)
  so that it gets installed in the hicolor namespace,
  because that icon is *not* Oxygen. Definitely.
................
  r744640 | jpetso | 2007-12-04 01:26:59 +0100 (Tue, 04 Dec 2007) | 3 lines
  
  Minor icon name adaptions in KTimeTracker,
  including the rename of a private icon.
................
  r744646 | jpetso | 2007-12-04 01:52:24 +0100 (Tue, 04 Dec 2007) | 2 lines
  
  Fix some more icons in kdepim.
................
  r744648 | jpetso | 2007-12-04 02:07:17 +0100 (Tue, 04 Dec 2007) | 3 lines
  
  Port the rest of kdepim away from the "edit" icon.
  Plus other adaptions & fixes, as usual.
................
  r744651 | winterz | 2007-12-04 02:13:35 +0100 (Tue, 04 Dec 2007) | 2 lines
  
  remove empty icons subdir
................
  r744655 | winterz | 2007-12-04 02:35:07 +0100 (Tue, 04 Dec 2007) | 4 lines
  
  compile++
  
  The mail-attachment icon is pretty ugly though.  something must be wrong.
................
  r744713 | scripty | 2007-12-04 08:55:47 +0100 (Tue, 04 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r744795 | winterz | 2007-12-04 16:19:59 +0100 (Tue, 04 Dec 2007) | 3 lines
  
  fix a malformed markup in an i18n string.
  coding style fixes.
................
  r744843 | tmcguire | 2007-12-04 18:56:39 +0100 (Tue, 04 Dec 2007) | 6 lines
  
  Use kmail-light instead of kmaillight as the background for the system tray icon, so
  fallback works while kmail-light does not exist.
  
  CCBUG: 153405
................
  r744879 | krake | 2007-12-04 20:29:05 +0100 (Tue, 04 Dec 2007) | 6 lines
  
  List of install headers was missing some of the newer model headers.
  Removing itemsync.h from the same list since it is @internal
  
................
  r744882 | tmcguire | 2007-12-04 20:33:25 +0100 (Tue, 04 Dec 2007) | 13 lines
  
  - Make KMeditor ready to insert signatures at start, end and at the cursor (with APIDOX)
  - Fix cursor positioning when inserting signatures
  - Adapt KMail and KNode to these changes
  - In KMail, add slots to insert signature at start, end and at the cursor, but don't add
    GUI options for this yet.
  
  Many thanks to Scott <firebrnr@gmail.com>, who ported this to KDE4.
  
  The rest (GUI options etc) will follow later.
  
................
  r744933 | lcorbasson | 2007-12-04 23:11:44 +0100 (Tue, 04 Dec 2007) | 5 lines
  
  Minor nitpick
  
  SVN_SILENT:
................
  r744936 | lcorbasson | 2007-12-04 23:23:52 +0100 (Tue, 04 Dec 2007) | 3 lines
  
  - Fix a bug: keep the separators in the agenda view at the right places
  - Some coding style in the related methods
................
  r744949 | djarvie | 2007-12-05 00:13:42 +0100 (Wed, 05 Dec 2007) | 1 line
  
  Set version number
................
  r744950 | djarvie | 2007-12-05 00:14:54 +0100 (Wed, 05 Dec 2007) | 1 line
  
  Fix KAlarm version number written to calendar
................
  r744951 | djarvie | 2007-12-05 00:15:38 +0100 (Wed, 05 Dec 2007) | 2 lines
  
  Rationalise resource signals
................
  r744958 | djarvie | 2007-12-05 00:23:39 +0100 (Wed, 05 Dec 2007) | 1 line
  
  Email address
................
  r745114 | pino | 2007-12-05 14:03:37 +0100 (Wed, 05 Dec 2007) | 2 lines
  
  include fixup
................
  r745185 | coles | 2007-12-05 18:27:38 +0100 (Wed, 05 Dec 2007) | 3 lines
  
  KDE_DEPRECATED cannot be used for constructors; use KDE_CONSTRUCTOR_DEPRECATED instead.
................
  r745286 | tstaerk | 2007-12-05 22:41:38 +0100 (Wed, 05 Dec 2007) | 3 lines
  
  Do not append completed tasks to active list
................
  r745331 | jpetso | 2007-12-06 00:49:18 +0100 (Thu, 06 Dec 2007) | 6 lines
  
  Icon renaming (code changes - kdepim):
  mail -> mail-message
  
  ...and lots of other stuff which got in my way
  while doing that one.
................
  r745355 | jpetso | 2007-12-06 02:29:18 +0100 (Thu, 06 Dec 2007) | 4 lines
  
  Further icon cleanup (one rename, one delete) in KAlarm.
  Does not need a "kalarm_disabled" icon anymore now,
  but instead generates the disabled version with KIconEffect.
................
  r745697 | tmcguire | 2007-12-06 21:50:37 +0100 (Thu, 06 Dec 2007) | 12 lines
  
  Rewrite the layout code of the main widget.
  The splitter layout has many interesting special cases, which
  were all spread around in the code. Now it is all in layoutSplitters().
  Now widgets shouldn't be hidden anymore because the splitter sizes
  were zero after changing the layout. This needed some more config keys.
  
  Cleaned up readConfig a bit, and other places as well.
  Plus some style fixes.
  
  BUG: 153346
................
  r745703 | tmcguire | 2007-12-06 22:09:55 +0100 (Thu, 06 Dec 2007) | 8 lines
  
  - Add comment I forgot in the earlier commit
  - Fix inconsistent identation, whitespace and unused variable warnings
    introduced with the recent HTML work
  
  SVN_SILENT
................
  r745707 | winterz | 2007-12-06 22:17:45 +0100 (Thu, 06 Dec 2007) | 2 lines
  
  use a variable for the kcal libraries
................
  r745741 | winterz | 2007-12-07 00:13:33 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  Do not connect KStandardAction::quit() to QApplication::quit()
................
  r745742 | winterz | 2007-12-07 00:14:42 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  rename kmobiletoolslib to kmobiletoolsprivate, which is our custom.
................
  r745748 | tfry | 2007-12-07 00:24:51 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  Do not convert BCC to To without user interaction (it clearly looks like that has never been intended, as well).
  BUG: 153383
................
  r745766 | pino | 2007-12-07 01:48:24 +0100 (Fri, 07 Dec 2007) | 4 lines
  
  revert libkmobiletoolslib -> libkmobiletoolsprivate renaming, as the library is public (with public headers installed)
  
................
  r745987 | pino | 2007-12-07 14:30:56 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  don't use the deprecated version of KIntNumInput::setRange()
................
  r745993 | pino | 2007-12-07 14:47:57 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  fix icons
................
  r746020 | pino | 2007-12-07 16:15:23 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  rename the generated pot to ktimetracker
................
  r746042 | winterz | 2007-12-07 17:49:58 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  future-proof the check for qgpgme.
................
  r746085 | winterz | 2007-12-07 20:36:48 +0100 (Fri, 07 Dec 2007) | 3 lines
  
  comment out the experimental openChange resource
................
  r746090 | pino | 2007-12-07 21:18:54 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  fix icon
................
  r746096 | dkukawka | 2007-12-07 22:06:16 +0100 (Fri, 07 Dec 2007) | 3 lines
  
  forward port r746095 to fix bug 134699
................
  r746103 | tstaerk | 2007-12-07 22:23:23 +0100 (Fri, 07 Dec 2007) | 3 lines
  
  Do not stall when searching in the "/ folder" of an imap account.
................
  r746121 | winterz | 2007-12-07 23:39:36 +0100 (Fri, 07 Dec 2007) | 2 lines
  
  use the variable for the kldap lib
................
  r746144 | pino | 2007-12-08 02:01:48 +0100 (Sat, 08 Dec 2007) | 2 lines
  
  fix icons
................
  r746195 | scripty | 2007-12-08 08:45:04 +0100 (Sat, 08 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r746312 | pino | 2007-12-08 18:26:24 +0100 (Sat, 08 Dec 2007) | 3 lines
  
  icon renaming:
  - eraser -> draw-eraser
................
  r746402 | osterfeld | 2007-12-08 22:22:07 +0100 (Sat, 08 Dec 2007) | 2 lines
  
  return only one index per row
................
  r746477 | scripty | 2007-12-09 08:39:36 +0100 (Sun, 09 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r746482 | osterfeld | 2007-12-09 09:13:19 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  some fixes for the article jobs
................
  r746495 | osterfeld | 2007-12-09 10:29:33 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  return const children in const parent
................
  r746639 | otrichet | 2007-12-09 19:15:26 +0100 (Sun, 09 Dec 2007) | 3 lines
  
  Correct use of KStandardShortcut::xxxx.
  (Argument of "KShortCut(int)" is a Qt key code, not an int from the enum KStandardShortcut::KStandardShortcut.)
................
  r746667 | eschepers | 2007-12-09 20:46:38 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  fixed signature when changing identity
................
  r746676 | eschepers | 2007-12-09 21:21:24 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  fixed state of alignment buttons
................
  r746679 | pino | 2007-12-09 21:32:11 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  fix align icons
................
  r746690 | eschepers | 2007-12-09 22:25:13 +0100 (Sun, 09 Dec 2007) | 2 lines
  
  delete formatting when changing back to textmode
................
  r746736 | djarvie | 2007-12-10 02:21:40 +0100 (Mon, 10 Dec 2007) | 1 line
  
  Fix reminder period length check
................
  r746742 | djarvie | 2007-12-10 02:46:51 +0100 (Mon, 10 Dec 2007) | 1 line
  
  Fix initialisation of time periods
................
  r746758 | winterz | 2007-12-10 04:28:31 +0100 (Mon, 10 Dec 2007) | 3 lines
  
  lots of places use a slot called setDateTime(QDateTime&,QDateTime&), so provide one.
  also fix the incidence editor to use the current timezone spec.
................
  r746786 | scripty | 2007-12-10 08:50:18 +0100 (Mon, 10 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r746860 | vkrause | 2007-12-10 14:02:40 +0100 (Mon, 10 Dec 2007) | 5 lines
  
  Avoid D-Bus calls to another thread of the calling application while we
  haven't sent the delayed reply to the intial call yet.
  
  This fixes random hangs when retrieving non-existing item parts.
................
  r746905 | winterz | 2007-12-10 16:39:30 +0100 (Mon, 10 Dec 2007) | 6 lines
  
  fix SLOT.
  should no longer see the following runtime message:
  QObject::connect: Incompatible sender/receiver arguments
          QAction::triggered(bool) --> KDGanttCanvasView::newChildItem(int)
................
  r746968 | krake | 2007-12-10 20:02:46 +0100 (Mon, 10 Dec 2007) | 2 lines
  
  Use kDebug()/kWarning() and libakonadi debug area for output.
................
  r746973 | krake | 2007-12-10 20:07:43 +0100 (Mon, 10 Dec 2007) | 2 lines
  
  Use KDE output function and respective debug area
................
  r746974 | krake | 2007-12-10 20:21:34 +0100 (Mon, 10 Dec 2007) | 2 lines
  
  Use KDE debug output facilities and respective debug areas
................
  r746978 | krake | 2007-12-10 20:30:20 +0100 (Mon, 10 Dec 2007) | 2 lines
  
  Use registered kdebug area
................
  r747029 | eschepers | 2007-12-10 22:03:09 +0100 (Mon, 10 Dec 2007) | 5 lines
  
  - fixed signature when changing identity
  - change to htmlmode when pasting html and the html toolbar is present
  - set editor textcolor to black when changing to textmode
  - change html to text when user turns the html toolbar off
................
  r747151 | scripty | 2007-12-11 08:46:20 +0100 (Tue, 11 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r747284 | djarvie | 2007-12-11 17:02:03 +0100 (Tue, 11 Dec 2007) | 2 lines
  
  Bug 152564: Fix crash when saving preferences, if 'xterm' is not installed.
................
  r747320 | tmcguire | 2007-12-11 19:12:48 +0100 (Tue, 11 Dec 2007) | 10 lines
  
  - Always set the X-KMail-Transport headerfield to the current value of
    the combobox before sending, so that the correct transport is used.
  
  - Fix some size bugs: remove the resize() from mainwidget, it is useless
    there. Put a resize with default values in mainwindow instead.
    Fix layoutSplitters() getting the wrong height/width of the widget.
  
  - Remove empty writeConfig/readConfig functions
................
  r747333 | djarvie | 2007-12-11 19:33:32 +0100 (Tue, 11 Dec 2007) | 3 lines
  
  Remove View action and instead make Edit bring up a read-only dialog for
  read-only and archived alarms.
................
  r747352 | tmcguire | 2007-12-11 20:27:24 +0100 (Tue, 11 Dec 2007) | 13 lines
  
  Silence most of the overload-virtual warnings in KMail. They all
  were false positives.
  
  There is one warning left, about slotInfoMessage 
  in QuotaJobs::GetQuotarootjo. This seems to be
  real, as neither that slot  nor the signal
  connected to that slot seem to exist with that 
  signature.
  
  It would be nice if someone with IMAP knowledge could 
  fix that.
................
  r747360 | tmcguire | 2007-12-11 20:59:07 +0100 (Tue, 11 Dec 2007) | 14 lines
  
  - Revert SVN commit 741048 by winterz
    (A patch which fix the "Initial column sizes of the folder tree wrong)
  - Hide the unread and size column by default
  - properly toggle the unread action
  - remove code duplication
  - set stretch only to the name column
  
  
   --This line, and those below, will be ignored--
  
  M    kmail/kmmainwidget.cpp
  M    kmail/kmfoldertree.cpp
  M    libkdepim/kfoldertree.cpp
................
  r747363 | reed | 2007-12-11 21:02:30 +0100 (Tue, 11 Dec 2007) | 1 line
  
  more OSX linker workarounds
................
  r747374 | eschepers | 2007-12-11 21:40:03 +0100 (Tue, 11 Dec 2007) | 2 lines
  
  opening html message from Drafts opens correctly now
................
  r747424 | djarvie | 2007-12-12 01:08:20 +0100 (Wed, 12 Dec 2007) | 2 lines
  
  Edit templates read-only if they are not writable
................
  r747425 | djarvie | 2007-12-12 01:10:46 +0100 (Wed, 12 Dec 2007) | 1 line
  
  Add note to fix captions
................
  r747538 | scripty | 2007-12-12 10:05:11 +0100 (Wed, 12 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r747671 | winterz | 2007-12-12 19:06:44 +0100 (Wed, 12 Dec 2007) | 7 lines
  
  rename the korganizer library to korganizerprivate.
  this should help the problem that cmake has with an executable
  and a library with the same name.
  
  as discussed on kde-pim
................
  r747715 | djarvie | 2007-12-12 21:05:15 +0100 (Wed, 12 Dec 2007) | 2 lines
  
  Disable Delete button when read-only templates are selected
................
  r747787 | krake | 2007-12-13 00:00:55 +0100 (Thu, 13 Dec 2007) | 6 lines
  
  My debug area related changes earlier this week missed some of the qWarning
  occurences :(
  
  Keeping the ones in XdgBaseDirs since it is also used by akonadi/server
................
  r747951 | scripty | 2007-12-13 09:05:00 +0100 (Thu, 13 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r748079 | pino | 2007-12-13 16:02:31 +0100 (Thu, 13 Dec 2007) | 2 lines
  
  follow the renaming of the korganizer library to korganizerprivate
................
  r748216 | djarvie | 2007-12-13 22:39:07 +0100 (Thu, 13 Dec 2007) | 1 line
  
  comment
................
  r748275 | tstaerk | 2007-12-14 01:36:35 +0100 (Fri, 14 Dec 2007) | 3 lines
  
  kioslave no longer blocks, search returns
................
  r748431 | tmcguire | 2007-12-14 14:46:08 +0100 (Fri, 14 Dec 2007) | 3 lines
  
  Don't crash when disabling the favorite folder view.
................
  r748604 | bhards | 2007-12-15 00:15:47 +0100 (Sat, 15 Dec 2007) | 2 lines
  
  Add license, to help the GPLV3 zealots.
................
  r748726 | scripty | 2007-12-15 09:27:09 +0100 (Sat, 15 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r748828 | vkrause | 2007-12-15 18:03:26 +0100 (Sat, 15 Dec 2007) | 2 lines
  
  Speed up handling of large data blocks.
................
  r748838 | winterz | 2007-12-15 18:39:21 +0100 (Sat, 15 Dec 2007) | 2 lines
  
  use the GENERIC variables to set the the library versioning for libqopensync and kitchensyncprivate.
................
  r748846 | winterz | 2007-12-15 19:06:34 +0100 (Sat, 15 Dec 2007) | 2 lines
  
  don't add the nepomukfeeder subdir if Nepomuk isn't available.
................
  r748904 | winterz | 2007-12-15 22:34:18 +0100 (Sat, 15 Dec 2007) | 3 lines
  
  move the macro_log_feature() out of here.
  make it a bit more consistent with the other FindFoo's
................
  r748905 | winterz | 2007-12-15 22:34:53 +0100 (Sat, 15 Dec 2007) | 2 lines
  
  add the macro_log_feature for Opensync
................
  r748942 | winterz | 2007-12-16 00:40:36 +0100 (Sun, 16 Dec 2007) | 3 lines
  
  move the MySQL check into the akonadi/server/CMakeLists.txt, because that's where its used.
  give logging to the OpenSSL and MySQL checks.
................
  r749004 | scripty | 2007-12-16 08:59:05 +0100 (Sun, 16 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r749216 | krake | 2007-12-16 21:34:37 +0100 (Sun, 16 Dec 2007) | 5 lines
  
  - Fix signal/slot connection for on-demand spell checking.
  - Forward toggling of continuous spellchecking mode to the editor widget, which
    unfortunately doesn't work when it is in RichText format input mode.
................
  r749341 | djarvie | 2007-12-17 03:24:48 +0100 (Mon, 17 Dec 2007) | 1 line
  
  Make units selection consistent even when unchecked initially
................
  r749347 | djarvie | 2007-12-17 03:30:16 +0100 (Mon, 17 Dec 2007) | 1 line
  
  Fix crash when creating new alarm with sub-repetition
................
  r749505 | scripty | 2007-12-17 10:09:36 +0100 (Mon, 17 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r749510 | djarvie | 2007-12-17 10:14:31 +0100 (Mon, 17 Dec 2007) | 1 line
  
  Correctly set limit of number of repetitions in sub-repetition dialogue
................
  r749843 | djarvie | 2007-12-18 01:45:30 +0100 (Tue, 18 Dec 2007) | 1 line
  
  Fix crash when setting sub-repetition
................
  r749903 | scripty | 2007-12-18 09:19:06 +0100 (Tue, 18 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r750150 | djarvie | 2007-12-18 21:10:31 +0100 (Tue, 18 Dec 2007) | 1 line
  
  Fix repetition interval being lost
................
  r750265 | djarvie | 2007-12-19 02:11:54 +0100 (Wed, 19 Dec 2007) | 1 line
  
  Fix recurrence summary text for new alarm dialogue
................
  r750412 | scripty | 2007-12-19 09:11:12 +0100 (Wed, 19 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r750625 | tmcguire | 2007-12-19 20:20:15 +0100 (Wed, 19 Dec 2007) | 9 lines
  
  Delay the layouting of the widget with QTimer::singleShot( 0, ... ).
  When first trying to layout, the size of the main widget is not yet known
  and has invalid values, which leads to incorrect splitter positions.
  After the first event loop pass, the size of the main widget is known and
  it works.
  
  BUG: 154294
................
  r750634 | djarvie | 2007-12-19 20:38:21 +0100 (Wed, 19 Dec 2007) | 1 line
  
  Prevent multiple identical error messages being displayed for the same alarm
................
  r750732 | djarvie | 2007-12-20 00:20:40 +0100 (Thu, 20 Dec 2007) | 1 line
  
  Record current view time/time-to settings correctly
................
  r750745 | pino | 2007-12-20 00:57:43 +0100 (Thu, 20 Dec 2007) | 2 lines
  
  fix icon
................
  r750754 | tstaerk | 2007-12-20 01:25:46 +0100 (Thu, 20 Dec 2007) | 1 line
  
  improve(debugging msgs) && compiler warnings--
................
  r750769 | vanrijn | 2007-12-20 03:55:10 +0100 (Thu, 20 Dec 2007) | 9 lines
  
  - Bringing changes over from kde3 branch.  
  - This fixes the Treo 700p (and other devices) by bringing back the
    pre-device-comm-thread approach, while still maintaining the fixes I
    brought in with the non-GUI thread for device comm.  Namely, we still use
    a thread to do all the low-leve comm work, but instead of looping, we
    allow 2 paths: 1) a timer fires, which means we couldn't re-establish
    comm, or 2) a QSocketNotifier tells us that there's data available on the
    HotSync port.
................
  r750792 | vanrijn | 2007-12-20 06:44:45 +0100 (Thu, 20 Dec 2007) | 11 lines
  
  - Adjusting approach for timer/thread-based approach to device comm for
    Qt4.  This means that we _HAVE_ to be running an event loop via
    QThread::exec().
    (http://doc.trolltech.com/4.3/threads.html#threads-and-qobjects).
  - Also, stopping the deleting/recreating of our timers.  It looked like it
    was throwing off everything, and makes sense, based on the above
    document's description about re-entrancy.
  - Cleaning i18n() calls from previous commit.
  - Woot!  With these changes, my Zire 71 now syncs, although our calendar
    conduit kills it off with wild abandon soon enough.
................
  r750893 | tstaerk | 2007-12-20 14:00:17 +0100 (Thu, 20 Dec 2007) | 1 line
  
  Fix column-specific whatsthis-help for the nth time
................
  r750915 | tstaerk | 2007-12-20 15:56:21 +0100 (Thu, 20 Dec 2007) | 1 line
  
  Do not add tasks whose name is QString()
................
  r750955 | tmcguire | 2007-12-20 19:18:12 +0100 (Thu, 20 Dec 2007) | 7 lines
  
  Correctly re-enable updates after disabling them.
  Now changing the config doesn't appear to freeze
  KMail anymore.
  
  All the fault of my recent layout code rework.
................
  r750976 | tmcguire | 2007-12-20 20:41:28 +0100 (Thu, 20 Dec 2007) | 27 lines
  
  Some D-Bus work in KMail:
  
  - Remove the existing org.kde.kmail.kmail/kmailpart/mailcomposer.xml files, and let them
    be generated at build time instead. This is done by extracting the slots and signals
    marked with Q_SCRIPTABLE.
    I had to adjust the CMake files of all users of the XML files to use the one from the
    build directory now.
  
    Currently, the XML files are also installed. I am not sure if this is a good idea, as that
    implies we have to keep some sort of compatibility.
  
  - Fix incorrect D-Bus path and method call in the summary view. Now the generated interface is
    used instead. Checking the accounts with the sync actions works again now.
  
  - Some DCOP->D-Bus renamings in comments
  
  - Some style fixes around D-Bus related lines
  
  The D-Bus test of KMail and the Kontact KMail summary still work.
  This needs the new FindQt4.cmake from kdelibs.
  This probably needs a clean build.
  
  I did not touch the groupware interface or the SMIME security config page
  (which talks to Kleopatra). This is left for KDAB to fix, but it would be 
  nice to contact me before.
................
  r750977 | tmcguire | 2007-12-20 20:45:26 +0100 (Thu, 20 Dec 2007) | 5 lines
  
  - Readd kdebug which I accidentely removed
  - Remove superflous kdebug texts
  
  SVN_SILENT
................
  r750987 | tmcguire | 2007-12-20 21:14:10 +0100 (Thu, 20 Dec 2007) | 6 lines
  
  Change the KUrl arguments for scriptable functions to QString, as KUrls do 
  not work with D-Bus.
  Remove the overloaded dbusAddMessage and dbusAddMessage_fastImport, the
  only difference was KUrl instead of QString anyway.
................
  r750997 | tmcguire | 2007-12-20 21:47:16 +0100 (Thu, 20 Dec 2007) | 7 lines
  
  Fix some D-Bus calls to the groupware interface. Untested.
  Once the groupware D-Bus stuff has been properly ported, we
  can use an auto-generated interface for this, so these kind 
  of errors don't happen again.
  
  BUG: 154201
................
  r751020 | tmcguire | 2007-12-20 23:13:27 +0100 (Thu, 20 Dec 2007) | 10 lines
  
  Use qint64 instead of size_t for the folder size calculation, otherwise 
  folders >2GB won't show up correctly on 32 Bit systems.
  
  I hope I found all places were the conversion was necessary.
  I couldn't really test this, as i don't have a 64 Bit system, but I should
  work.
  
  BUG: 151155
................
  r751029 | djarvie | 2007-12-20 23:51:59 +0100 (Thu, 20 Dec 2007) | 1 line
  
  Remove warning
................
  r751033 | dfaure | 2007-12-21 00:01:36 +0100 (Fri, 21 Dec 2007) | 3 lines
  
  Add X-DBUS-ServiceName as needed by kdbusservicestarter.
  Remove servicetype from korganizer-import which should definitely not be launched by kdbusservicestarter.
................
  r751043 | tmcguire | 2007-12-21 00:29:08 +0100 (Fri, 21 Dec 2007) | 5 lines
  
  Don't merge standard UI actions into our toolbar.
  
  BUG: 154341
................
  r751059 | tmcguire | 2007-12-21 01:01:22 +0100 (Fri, 21 Dec 2007) | 4 lines
  
  Generate the XML interfaces before calling add_subdirectory( tests ).
  Hopefully this makes dashbot happy again.
................
  r751060 | tmcguire | 2007-12-21 01:02:02 +0100 (Fri, 21 Dec 2007) | 3 lines
  
  Don't show a slider at the num input widget.
................
  r751065 | tmcguire | 2007-12-21 01:24:50 +0100 (Fri, 21 Dec 2007) | 3 lines
  
  Use new icon names.
................
  r751156 | mlaurent | 2007-12-21 09:32:19 +0100 (Fri, 21 Dec 2007) | 3 lines
  
  Add dependancy against kmail
  it fixes compile of kdepim
................
  r751161 | mlaurent | 2007-12-21 09:40:18 +0100 (Fri, 21 Dec 2007) | 2 lines
  
  Add dependancy
................
  r751176 | tstaerk | 2007-12-21 10:38:19 +0100 (Fri, 21 Dec 2007) | 1 line
  
  Help the user according to his readiness level
................
  r751211 | mlaurent | 2007-12-21 12:47:01 +0100 (Fri, 21 Dec 2007) | 2 lines
  
  Add dependacy
................
  r751262 | tmcguire | 2007-12-21 15:22:18 +0100 (Fri, 21 Dec 2007) | 11 lines
  
  Create the groupware interface in the kernel constructor, and
  only delay the D-Bus registration until KMKernel::setupDBus()
  is called.
  
  This is needed because KMFolderCachedImap::readConfig accesses
  the groupware interface, and it is called before setupDBus().
  
  This probably fixes
  BUG: 154256
................
  r751279 | tstaerk | 2007-12-21 15:51:49 +0100 (Fri, 21 Dec 2007) | 1 line
  
  i18n it
................
  r751293 | tmcguire | 2007-12-21 16:53:33 +0100 (Fri, 21 Dec 2007) | 5 lines
  
  Use the auto-generated interface instead of doing manual D-Bus
  calls. This fixes a call which had a wrong argument count.
  And the code looks much nice, too.
................
  r751294 | tmcguire | 2007-12-21 16:56:09 +0100 (Fri, 21 Dec 2007) | 4 lines
  
  Change the method signatureof openComposer: use bool instead of int, which
  is the meaning anyway.
................
  r751303 | tmcguire | 2007-12-21 17:21:08 +0100 (Fri, 21 Dec 2007) | 6 lines
  
  Use Q_INT64_C to force readConfig to use the qint64 version
  instead of the normal integer version.
  
  Thanks Marc for noticing this.
................
  r751307 | tmcguire | 2007-12-21 17:44:15 +0100 (Fri, 21 Dec 2007) | 6 lines
  
  Fix the folder size in two more places.
  Thanks to Jean-Christophe for noticing this.
  
  CCBUG: 151155
................
  r751443 | reitelbach | 2007-12-21 22:24:19 +0100 (Fri, 21 Dec 2007) | 4 lines
  
  Catch all i18n strings for translation
  
................
  r751550 | scripty | 2007-12-22 09:09:25 +0100 (Sat, 22 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r751623 | reitelbach | 2007-12-22 14:12:44 +0100 (Sat, 22 Dec 2007) | 4 lines
  
  i18n++ - add missing calls for I18N_NOOP
  
................
  r751642 | mlaurent | 2007-12-22 15:04:41 +0100 (Sat, 22 Dec 2007) | 2 lines
  
  Fix include
................
  r751673 | tmcguire | 2007-12-22 16:46:07 +0100 (Sat, 22 Dec 2007) | 6 lines
  
  Remove the D-Bus port #warning from the header file, it is now
  only in the cpp file => less noise when compiling
  
  SVN_SILENT
................
  r751675 | tmcguire | 2007-12-22 16:50:15 +0100 (Sat, 22 Dec 2007) | 13 lines
  
  Yet another try to get the splitter size loading/saving right:
  Don't rely on the width/height of the mainwidget at all,
  it probably has invalid values.
  Instead, save and load more sizes of the widgets inside
  the main widget.
  
  Also, don't save the sizes when the mainwidget was never
  shown.
  
  If anyone is still seeing sizes not loaded correctly after
  a restart or even totally collapsed splitters, tell me.
................
  r751697 | tmcguire | 2007-12-22 17:45:22 +0100 (Sat, 22 Dec 2007) | 10 lines
  
  Remove the home-brewn debug and warning functions, I got reports that
  this breaks compilation in release mode.
  
  Shouldn't kDebug() have the same signature, regardless of whether 
  debug is turned on or off?
  
  It would also be great if dasbbot would do release builds from time
  to time.
................
  r751848 | tmcguire | 2007-12-23 00:35:35 +0100 (Sun, 23 Dec 2007) | 6 lines
  
  - Automatically lighten the KMail system tray icon if the unread count
    is displayed.
  - Change a few colors to use KColorScheme
  
  Patch by Jakob Petsovits, thanks!
................
  r751977 | scripty | 2007-12-23 09:33:16 +0100 (Sun, 23 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r752060 | tmcguire | 2007-12-23 14:05:22 +0100 (Sun, 23 Dec 2007) | 4 lines
  
  Remove home-brewn kmDebug, kmWarning and kmError, which are unused but break 
  compilation in release mode.
................
  r752320 | winterz | 2007-12-24 07:49:37 +0100 (Mon, 24 Dec 2007) | 3 lines
  
  follow the kcal library changes.
  doLoad() and doSave() now have a required syncCache option (this is unused in most cases)
................
  r752321 | winterz | 2007-12-24 07:55:14 +0100 (Mon, 24 Dec 2007) | 2 lines
  
  minor style fixes and kDebug() message cleaning.
................
  r752335 | scripty | 2007-12-24 09:02:10 +0100 (Mon, 24 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r752378 | jpetso | 2007-12-24 10:14:25 +0100 (Mon, 24 Dec 2007) | 3 lines
  
  Fix icon uglyness by combining them on a transparent
  background instead of setting an all-or-nothing mask.
................
  r752399 | dfaure | 2007-12-24 11:53:39 +0100 (Mon, 24 Dec 2007) | 2 lines
  
  Unify the "Go" menus, to fix okular-in-konqueror embedding.
................
  r752499 | bvirlet | 2007-12-24 17:16:53 +0100 (Mon, 24 Dec 2007) | 2 lines
  
  Make use of the new API.
................
  r752576 | winterz | 2007-12-25 00:05:50 +0100 (Tue, 25 Dec 2007) | 3 lines
  
  doSave(bool,Incidence*) to make the overloaded-virtual warnings go away.
  fixup more kDebug() messages.
................
  r752579 | jpetso | 2007-12-25 00:33:08 +0100 (Tue, 25 Dec 2007) | 3 lines
  
  Use a few more icons from Oxygen and delete the
  private ones that were replaced by them.
................
  r752581 | mikearthur | 2007-12-25 00:59:26 +0100 (Tue, 25 Dec 2007) | 2 lines
  
  Fix editor buttons.
................
  r752708 | scripty | 2007-12-25 09:12:03 +0100 (Tue, 25 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r752739 | bvirlet | 2007-12-25 12:14:52 +0100 (Tue, 25 Dec 2007) | 2 lines
  
  BUG 154541
................
  r752769 | winterz | 2007-12-25 17:05:32 +0100 (Tue, 25 Dec 2007) | 2 lines
  
  the icon is called "mail-forward", not "mail_forward".
................
  r752788 | otrichet | 2007-12-25 18:47:12 +0100 (Tue, 25 Dec 2007) | 2 lines
  
  Force the parent of the message box asking to fetch the list of groups (when it is empty) to be the dialog to choose groups. Otherwise the former is hidden under the latter.
................
  r752797 | winterz | 2007-12-25 19:48:45 +0100 (Tue, 25 Dec 2007) | 2 lines
  
  replace up/downindicator icons with arrow-up/down-double
................
  r753055 | thiago | 2007-12-26 15:19:32 +0100 (Wed, 26 Dec 2007) | 2 lines
  
  Don't try to be too smart with kDebug
................
  r753061 | winterz | 2007-12-26 16:02:28 +0100 (Wed, 26 Dec 2007) | 3 lines
  
  fix "Send as iCalendar" crashes korganizer
  BUG: 154629
................
  r753066 | winterz | 2007-12-26 16:21:19 +0100 (Wed, 26 Dec 2007) | 4 lines
  
  fix a couple accelerators that were duplicated
  add context to a few i18n messages
  coding style fixes.
................
  r753090 | winterz | 2007-12-26 17:52:46 +0100 (Wed, 26 Dec 2007) | 3 lines
  
  fix check for us-ascii in decodeRFC2047String
  BUG: 154635
................
  r753095 | jpetso | 2007-12-26 18:12:26 +0100 (Wed, 26 Dec 2007) | 4 lines
  
  Icon naming spec compliance (code changes - KDE/):
  object-edit -> document-properties
  and only a few other bits.
................
  r753108 | winterz | 2007-12-26 18:47:56 +0100 (Wed, 26 Dec 2007) | 3 lines
  
  compile++
  I think jpetso made some copy+paste errors when fixing up icon names.
................
  r753121 | winterz | 2007-12-26 19:20:03 +0100 (Wed, 26 Dec 2007) | 3 lines
  
  Fix "korganizer crash deleting multiple categories"
  BUG: 153740
................
  r753229 | jpetso | 2007-12-26 23:42:37 +0100 (Wed, 26 Dec 2007) | 3 lines
  
  Icon renaming (code changes - KDE/):
  kaddressbook -> office-address-book
................
  r753390 | jpetso | 2007-12-27 11:26:59 +0100 (Thu, 27 Dec 2007) | 4 lines
  
  Icon renaming (code changes - KDE/):
  kmail -> internet-mail
  korganizer -> office-calendar
................
  r753418 | jpetso | 2007-12-27 13:14:26 +0100 (Thu, 27 Dec 2007) | 2 lines
  
  Er, oops. Don't assign KMail the address book icon.
................
  r753451 | winterz | 2007-12-27 14:45:46 +0100 (Thu, 27 Dec 2007) | 3 lines
  
  whoops! forgot to commit this with the "Send as iCalendar" doesn't work bugfix.
................
  r753493 | winterz | 2007-12-27 17:31:49 +0100 (Thu, 27 Dec 2007) | 3 lines
  
  fix i18n message
  coding style
................
  r753494 | winterz | 2007-12-27 17:39:28 +0100 (Thu, 27 Dec 2007) | 4 lines
  
  give context to a i18n message
  kDebug() message fix
  style cleaning
................
  r753497 | winterz | 2007-12-27 18:06:54 +0100 (Thu, 27 Dec 2007) | 3 lines
  
  KUIT and context to i18n messages
  fix coding style
................
  r753563 | tmcguire | 2007-12-27 22:24:54 +0100 (Thu, 27 Dec 2007) | 3 lines
  
  The usual "daily unbreak icon name"
................
  r753595 | uwolfer | 2007-12-27 23:37:11 +0100 (Thu, 27 Dec 2007) | 3 lines
  
  Fix knode compilation on NetBSD.
  Patch by Mark Davies, thanks.
  BUG: 154721
................
  r753677 | scripty | 2007-12-28 09:00:17 +0100 (Fri, 28 Dec 2007) | 1 line
  
  SVN_SILENT made messages (.desktop file)
................
  r753724 | jpetso | 2007-12-28 11:24:09 +0100 (Fri, 28 Dec 2007) | 5 lines
  
  Icon naming sanity (code changes - KDE/):
  * connection-established -> network-connect
  * connect-no -> network-disconnect
  and other fixes.
................
  r753758 | uwolfer | 2007-12-28 13:23:49 +0100 (Fri, 28 Dec 2007) | 1 line
  
  less Q3 / K3 support code ussages
................


 _M            . (directory)  
 _M            akonadi (directory)  
 M  +3 -1      akonadi/agents/CMakeLists.txt  
 M  +1 -1      akonadi/agents/mailthreader/CMakeLists.txt  
 M  +7 -9      akonadi/agents/mailthreader/mailthreaderagent.cpp  
 M  +12 -0     akonadi/agents/mailthreader/mailthreaderagent.desktop  
 M  +0 -9      akonadi/agents/nepomukfeeder/CMakeLists.txt  
 M  +12 -1     akonadi/agents/nepomukfeeder/nepomukfeeder.desktop  
 M  +10 -0     akonadi/agents/strigifeeder/strigifeeder.desktop  
 M  +2 -2      akonadi/clients/akonadiconsole/browserwidget.cpp  
 M  +12 -0     akonadi/clients/plasma/engine/plasma-engine-akonadi.desktop  
 M  +212 -234  akonadi/doc/pics/concept.eps  
 M             akonadi/doc/pics/concept.png  
 M  +52 -60    akonadi/doc/pics/concept.sla  
 M  +11 -2     akonadi/kabc/kcontactmanager/kcontactmanager.desktop  
 M  +7 -7      akonadi/kioslave/akonadislave.cpp  
 M  +6 -3      akonadi/libakonadi/CMakeLists.txt  
 M  +3 -3      akonadi/libakonadi/agentbase.cpp  
 M  +1 -1      akonadi/libakonadi/agentfilterproxymodel.h  
 M  +3 -3      akonadi/libakonadi/collectioncreatejob.cpp  
 M  +5 -4      akonadi/libakonadi/collectionlistjob.cpp  
 M  +6 -6      akonadi/libakonadi/collectionmodel.cpp  
 M  +3 -3      akonadi/libakonadi/collectionstatusjob.cpp  
 M  +1 -1      akonadi/libakonadi/collectionsync.cpp  
 M  +0 -1      akonadi/libakonadi/collectionview.cpp  
 M  +2 -1      akonadi/libakonadi/control.cpp  
 M  +10 -2     akonadi/libakonadi/imapparser.cpp  
 M  +8 -1      akonadi/libakonadi/imapparser.h  
 M  +5 -3      akonadi/libakonadi/itemappendjob.cpp  
 M  +5 -4      akonadi/libakonadi/itemfetchjob.cpp  
 M  +2 -2      akonadi/libakonadi/itemmodel.cpp  
 M  +12 -7     akonadi/libakonadi/itemserializer.cpp  
 M  +3 -2      akonadi/libakonadi/itemstorejob.cpp  
 M  +3 -2      akonadi/libakonadi/itemsync.cpp  
 M  +3 -2      akonadi/libakonadi/job.cpp  
 M  +8 -8      akonadi/libakonadi/monitor_p.cpp  
 M  +3 -3      akonadi/libakonadi/resourcebase.cpp  
 M  +34 -27    akonadi/libakonadi/session.cpp  
 M  +2 -2      akonadi/libakonadi/session_p.h  
 M  +57 -0     akonadi/libakonadi/tests/imapparsertest.cpp  
 M  +2 -0      akonadi/libakonadi/tests/imapparsertest.h  
 M  +2 -2      akonadi/plugins/akonadi_serializer_addressee.cpp  
 M  +12 -0     akonadi/plugins/akonadi_serializer_addressee.desktop  
 M  +12 -0     akonadi/plugins/akonadi_serializer_bookmark.desktop  
 M  +3 -2      akonadi/plugins/akonadi_serializer_kcal.cpp  
 M  +13 -1     akonadi/plugins/akonadi_serializer_kcal.desktop  
 M  +5 -4      akonadi/plugins/akonadi_serializer_mail.cpp  
 M  +13 -1     akonadi/plugins/akonadi_serializer_mail.desktop  
 M  +10 -7     akonadi/resources/CMakeLists.txt  
 M  +3 -4      akonadi/resources/ical/icalresource.cpp  
 M  +8 -0      akonadi/resources/ical/icalresource.desktop  
 M  +9 -0      akonadi/resources/knut/knutresource.desktop  
 M  +9 -0      akonadi/resources/knut/knutresource_unittest.desktop  
 M  +5 -12     akonadi/resources/localbookmarks/localbookmarksresource.cpp  
 M  +9 -0      akonadi/resources/localbookmarks/localbookmarksresource.desktop  
 M  +5 -6      akonadi/resources/maildir/maildirresource.cpp  
 M  +5 -0      akonadi/resources/maildir/maildirresource.desktop  
 M  +9 -0      akonadi/resources/nntp/nntpresource.desktop  
 M  +13 -0     akonadi/resources/openchange/lzfu.h  
 M  +7 -0      akonadi/resources/openchange/ocresource.desktop  
 M  +10 -0     akonadi/resources/vcard/vcardresource.desktop  
 M  +4 -0      akonadi/server/CMakeLists.txt  
 M  +1 -1      akonadi/server/control/agentmanager.cpp  
 M  +38 -30    akonadi/server/src/akonadiconnection.cpp  
 M  +1 -0      akregator/plugins/mk4storage/akregator_mk4storage_plugin.desktop  
 M  +13 -0     akregator/src/abstractselectioncontroller.h  
 M  +19 -14    akregator/src/actionmanagerimpl.cpp  
 M  +5 -2      akregator/src/akregator.desktop  
 M  +11 -0     akregator/src/akregator.notifyrc  
 M  +1 -0      akregator/src/akregator_plugin.desktop  
 M  +8 -9      akregator/src/articlejobs.cpp  
 M  +1 -1      akregator/src/articlejobs.h  
 M  +47 -11    akregator/src/articlelistview.cpp  
 M  +14 -3     akregator/src/articlelistview.h  
 M  +78 -16    akregator/src/articlemodel.cpp  
 M  +13 -6     akregator/src/articlemodel.h  
 M  +1 -1      akregator/src/articleviewer.cpp  
 M  +2 -2      akregator/src/browserframe.cpp  
 M  +1 -1      akregator/src/configdialog.cpp  
 M  +2 -6      akregator/src/feedlist.cpp  
 M  +9 -1      akregator/src/folder.cpp  
 M  +2 -1      akregator/src/folder.h  
 M  +8 -18     akregator/src/mainwidget.cpp  
 M  +10 -8     akregator/src/searchbar.cpp  
 M  +5 -2      akregator/src/searchbar.h  
 M  +19 -3     akregator/src/selectioncontroller.cpp  
 M  +6 -1      akregator/src/selectioncontroller.h  
 M  +8 -0      akregator/src/subscriptionlistmodel.cpp  
 M  +6 -1      akregator/src/subscriptionlistview.cpp  
 M  +6 -0      akregator/src/subscriptionlistview.h  
 M  +39 -14    akregator/src/tabwidget.cpp  
 M  +8 -6      akregator/src/tabwidget.h  
 M  +6 -2      akregator/src/treenode.cpp  
 M  +2 -1      akregator/src/treenode.h  
 M  +7 -17     cmake/modules/FindOpensync.cmake  
 M  +5 -0      console/kabcclient/doc/examples/letters/home_address.desktop  
 M  +4 -0      console/kabcclient/doc/examples/letters/work_address.desktop  
 M  +1 -1      console/konsolekalendar/konsolekalendar.desktop  
 M  +4 -6      kaddressbook/addresseditwidget.cpp  
 M  +5 -5      kaddressbook/addresseeeditorwidget.cpp  
 M  +2 -1      kaddressbook/csv-templates/yahoo.desktop  
 M  +8 -1      kaddressbook/dbusaddressbook.desktop  
 M  +2 -0      kaddressbook/editors/cryptosettings.desktop  
 M  +4 -0      kaddressbook/editors/imaddresseditor.desktop  
 M  +2 -0      kaddressbook/editors/kaddressbookimprotocol.desktop  
 M  +1 -0      kaddressbook/editors/protocols/aimprotocol.desktop   [TRAILING SPACE]
 M  +3 -0      kaddressbook/editors/protocols/gaduprotocol.desktop  
 M  +1 -0      kaddressbook/editors/protocols/groupwiseprotocol.desktop  
 M  +1 -0      kaddressbook/editors/protocols/icqprotocol.desktop  
 M  +3 -0      kaddressbook/editors/protocols/jabberprotocol.desktop   [TRAILING SPACE]
 M  +2 -0      kaddressbook/editors/protocols/meanwhileprotocol.desktop  
 M  +2 -0      kaddressbook/editors/protocols/skypeprotocol.desktop  
 M  +1 -0      kaddressbook/editors/protocols/smsprotocol.desktop  
 M  +3 -0      kaddressbook/editors/protocols/yahooprotocol.desktop  
 M  +4 -2      kaddressbook/features/distributionlist.desktop  
 M  +4 -2      kaddressbook/features/resourceselection.desktop  
 M  +1 -7      kaddressbook/geowidget.cpp  
 M  +1 -1      kaddressbook/geowidget.h  
 M  +2 -1      kaddressbook/interfaces/kaddressbook_contacteditorwidget.desktop  
 M  +2 -1      kaddressbook/interfaces/kaddressbook_extension.desktop  
 M  +3 -2      kaddressbook/interfaces/kaddressbook_xxport.desktop   [TRAILING SPACE]
 M  +10 -11    kaddressbook/kabcore.cpp  
 M  +6 -3      kaddressbook/kaddressbook.desktop  
 M  +3 -1      kaddressbook/kaddressbook_view.desktop  
 M  +5 -2      kaddressbook/kcmconfigs/kabconfig.desktop  
 M  +5 -1      kaddressbook/kcmconfigs/kabcustomfields.desktop  
 M  +3 -1      kaddressbook/kcmconfigs/kabldapconfig.desktop  
 M  +1 -0      kaddressbook/main.cpp  
 M  +1 -1      kaddressbook/thumbnailcreator/ldifvcardcreator.cpp  
 M  +3 -1      kaddressbook/thumbnailcreator/ldifvcardthumbnail.desktop  
 M  +2 -1      kaddressbook/views/cardview.desktop  
 M  +2 -1      kaddressbook/views/iconview.desktop  
 M  +2 -1      kaddressbook/views/tableview.desktop  
 M  +6 -4      kaddressbook/xxport/bookmark_xxport.desktop  
 M  +4 -3      kaddressbook/xxport/csv_xxport.desktop  
 M  +6 -5      kaddressbook/xxport/csvimportdialog.cpp  
 M  +5 -3      kaddressbook/xxport/eudora_xxport.desktop  
 M  +13 -2     kaddressbook/xxport/gmx_xxport.desktop  
 M  +4 -4      kaddressbook/xxport/gnokii_xxport.cpp  
 M  +6 -4      kaddressbook/xxport/gnokii_xxport.desktop  
 M  +3 -2      kaddressbook/xxport/kde2_xxport.desktop  
 M  +4 -2      kaddressbook/xxport/ldif_xxport.desktop  
 M  +5 -3      kaddressbook/xxport/opera_xxport.desktop  
 M  +4 -2      kaddressbook/xxport/pab_xxport.desktop  
 M  +4 -2      kaddressbook/xxport/vcard_xxport.desktop  
 M  +1 -1      kalarm/CMakeLists.txt  
 M  +48 -1     kalarm/Changelog  
 M  +2 -2      kalarm/alarmcalendar.cpp  
 M  +4 -2      kalarm/alarmcalendar.h  
 M  +599 -403  kalarm/alarmevent.cpp  
 M  +14 -9     kalarm/alarmevent.h  
 M  +2 -6      kalarm/alarmlistdelegate.cpp  
 M  +9 -1      kalarm/birthdaydlg.cpp  
 M  +2 -2      kalarm/calendarcompat.cpp  
 M  +27 -18    kalarm/dbushandler.cpp  
 M  +7 -6      kalarm/dbushandler.h  
 M  +12 -8     kalarm/editdlg.cpp  
 M  +2 -2      kalarm/eventlistmodel.cpp  
 M  +6 -1      kalarm/eventlistmodel.h  
 M  +3 -6      kalarm/eventlistview.cpp  
 M  +5 -3      kalarm/eventlistview.h  
 M  +23 -6     kalarm/functions.cpp  
 M  +4 -3      kalarm/functions.h  
 M  +2 -1      kalarm/kalarm.desktop  
 M  +2 -2      kalarm/kalarm.h  
 M  +2 -1      kalarm/kalarm.tray.desktop  
 M  +5 -5      kalarm/kalarmapp.cpp  
 M  +2 -2      kalarm/kalarmd/admain.cpp  
 M  +1 -1      kalarm/kalarmd/alarmdaemon.cpp  
 M  +3 -1      kalarm/kalarmd/kalarmd.autostart.desktop  
 M  +1 -0      kalarm/kalarmd/kalarmd.desktop  
 M  +0 -3      kalarm/kalarmui.rc  
 M  +37 -28    kalarm/karecurrence.cpp  
 M  +4 -3      kalarm/karecurrence.h  
 M  +9 -3      kalarm/latecancel.cpp  
 M  +46 -38    kalarm/lib/timeperiod.cpp  
 M  +11 -10    kalarm/lib/timeperiod.h  
 M  +2 -2      kalarm/main.cpp  
 M  +11 -34    kalarm/mainwindow.cpp  
 M  +2 -4      kalarm/mainwindow.h  
 M  +51 -6     kalarm/messagewin.cpp  
 M  +5 -1      kalarm/messagewin.h  
 M  +2 -2      kalarm/newalarmaction.cpp  
 A             kalarm/pixmaps/hi22-app-kalarm.png   trunk/KDE/kdepim/kalarm/pixmaps/hi22-app-kalarm.png#753758
 A             kalarm/pixmaps/ox16-action-document-new-from-template.png   trunk/KDE/kdepim/kalarm/pixmaps/ox16-action-document-new-from-template.png#753758
 D             kalarm/pixmaps/ox16-action-new_from_template.png  
 A             kalarm/pixmaps/ox22-action-document-new-from-template.png   trunk/KDE/kdepim/kalarm/pixmaps/ox22-action-document-new-from-template.png#753758
 D             kalarm/pixmaps/ox22-action-kalarm.png  
 D             kalarm/pixmaps/ox22-action-kalarm_disabled.png  
 D             kalarm/pixmaps/ox22-action-new_from_template.png  
 M  +20 -10    kalarm/prefdlg.cpp  
 M  +2 -1      kalarm/prefdlg.h  
 M  +11 -13    kalarm/recurrenceedit.cpp  
 M  +4 -3      kalarm/recurrenceedit.h  
 M  +9 -3      kalarm/reminder.cpp  
 M  +28 -24    kalarm/repetition.cpp  
 M  +10 -10    kalarm/repetition.h  
 M  +3 -1      kalarm/resourcemodelview.cpp  
 M  +4 -1      kalarm/resources/alarmresource.h  
 M  +22 -24    kalarm/resources/alarmresources.cpp  
 M  +5 -10     kalarm/resources/alarmresources.h  
 M  +6 -0      kalarm/resources/kalarm_manager.desktop  
 M  +8 -2      kalarm/resources/local.desktop  
 M  +8 -2      kalarm/resources/localdir.desktop  
 M  +8 -2      kalarm/resources/remote.desktop  
 M  +5 -1      kalarm/resources/resourcelocal.h  
 M  +5 -1      kalarm/resources/resourcelocaldir.h  
 M  +6 -1      kalarm/resources/resourceremote.h  
 M  +40 -13    kalarm/resourceselector.cpp  
 M  +2 -1      kalarm/resourceselector.h  
 M  +17 -7     kalarm/templatedlg.cpp  
 M  +15 -13    kalarm/timeselector.cpp  
 M  +5 -5      kalarm/timeselector.h  
 M  +9 -2      kalarm/traywindow.cpp  
 M  +2 -2      kdgantt1/KDGanttViewSubwidgets.cpp  
 M  +1 -1      kitchensync/libqopensync/CMakeLists.txt  
 M  +1 -1      kitchensync/src/CMakeLists.txt  
 M  +2 -2      kitchensync/src/connectionwidgets.h  
 M  +3 -1      kitchensync/src/kitchensync.desktop  
 M  +2 -2      kitchensync/src/mainwidget.cpp  
 M  +11 -11    kitchensync/src/memberinfo.cpp  
 A             kitchensync/src/pics/hi16-action-sync-start.png   trunk/KDE/kdepim/kitchensync/src/pics/hi16-action-sync-start.png#753758
 A             kitchensync/src/pics/hi22-action-sync-start.png   trunk/KDE/kdepim/kitchensync/src/pics/hi22-action-sync-start.png#753758
 A             kitchensync/src/pics/hi32-action-sync-start.png   trunk/KDE/kdepim/kitchensync/src/pics/hi32-action-sync-start.png#753758
 A             kitchensync/src/pics/hi48-action-sync-start.png   trunk/KDE/kdepim/kitchensync/src/pics/hi48-action-sync-start.png#753758
 D             kitchensync/src/pics/ox128-app-mobile_phone.png  
 D             kitchensync/src/pics/ox16-action-hotsync.png  
 D             kitchensync/src/pics/ox16-app-mobile_phone.png  
 D             kitchensync/src/pics/ox22-action-hotsync.png  
 D             kitchensync/src/pics/ox32-action-hotsync.png  
 D             kitchensync/src/pics/ox32-app-mobile_phone.png  
 D             kitchensync/src/pics/ox48-action-hotsync.png  
 D             kitchensync/src/pics/ox48-app-mobile_phone.png  
 D             kitchensync/src/pics/ox64-app-mobile_phone.png  
 M  +3 -8      kleopatra/certificatewizardimpl.cpp  
 M  +2 -2      kleopatra/conf/appearanceconfigpage.cpp  
 M  +3 -3      kleopatra/conf/appearanceconfigpage.h  
 M  +2 -4      kleopatra/conf/dirservconfigpage.cpp  
 M  +3 -3      kleopatra/conf/dirservconfigpage.h  
 M  +5 -3      kleopatra/conf/kleopatra_config_appear.desktop  
 M  +4 -2      kleopatra/conf/kleopatra_config_dirserv.desktop  
 M  +2 -0      kleopatra/conf/kleopatra_config_dnorder.desktop  
 M  +21 -8     kmail/CMakeLists.txt  
 M  +4 -3      kmail/KMail.desktop  
 M  +3 -3      kmail/accountdialog.cpp  
 M  +2 -2      kmail/application_octetstream.desktop  
 M  +2 -2      kmail/composer.h  
 M  +17 -18    kmail/configuredialog.cpp  
 M  +2 -2      kmail/configuredialog_p.cpp  
 M  +2 -4      kmail/configuredialog_p.h  
 M  +6 -0      kmail/dbusimap.desktop  
 M  +6 -0      kmail/dbusmail.desktop  
 M  +2 -2      kmail/favoritefolderview.cpp  
 M  +4 -3      kmail/folderadaptor.cpp  
 M  +8 -8      kmail/folderstorage.cpp  
 M  +6 -6      kmail/folderstorage.h  
 M  +1 -6      kmail/headeritem.cpp  
 M  +1 -1      kmail/jobscheduler.cpp  
 M  +1 -1      kmail/jobscheduler.h  
 M  +24 -1     kmail/kmail.kcfg  
 M  +9 -0      kmail/kmail.notifyrc  
 M  +5 -2      kmail/kmail_config_accounts.desktop  
 M  +4 -1      kmail/kmail_config_appearance.desktop  
 M  +10 -1     kmail/kmail_config_composer.desktop  
 M  +5 -1      kmail/kmail_config_identity.desktop  
 M  +4 -2      kmail/kmail_config_misc.desktop  
 M  +3 -1      kmail/kmail_config_security.desktop  
 M  +1 -1      kmail/kmail_part.cpp  
 M  +6 -4      kmail/kmail_part.h  
 M  +1 -1      kmail/kmail_part.rc  
 M  +2 -2      kmail/kmail_view.desktop  
 M  +7 -3      kmail/kmailicalifaceimpl.cpp  
 M  +10 -0     kmail/kmailicalifaceimpl.h  
 M  +8 -5      kmail/kmcommands.cpp  
 M  +49 -3     kmail/kmcomposereditor.cpp  
 M  +13 -1     kmail/kmcomposereditor.h  
 M  +240 -189  kmail/kmcomposewin.cpp  
 M  +89 -64    kmail/kmcomposewin.h  
 M  +0 -22     kmail/kmdebug.h  
 M  +6 -6      kmail/kmfolder.cpp  
 M  +3 -3      kmail/kmfolder.h  
 M  +3 -2      kmail/kmfoldercachedimap.cpp  
 M  +0 -3      kmail/kmfoldercachedimap.h  
 M  +4 -3      kmail/kmfolderimap.cpp  
 M  +1 -1      kmail/kmfoldermaildir.cpp  
 M  +2 -4      kmail/kmfoldermaildir.h  
 M  +1 -1      kmail/kmfoldermbox.cpp  
 M  +1 -3      kmail/kmfoldermbox.h  
 M  +4 -0      kmail/kmfoldersearch.h  
 M  +15 -15    kmail/kmfoldertree.cpp  
 M  +23 -23    kmail/kmheaders.cpp  
 M  +104 -104  kmail/kmkernel.cpp  
 M  +133 -83   kmail/kmkernel.h  
 M  +457 -382  kmail/kmmainwidget.cpp  
 M  +16 -20    kmail/kmmainwidget.h  
 M  +24 -43    kmail/kmmainwin.cpp  
 M  +0 -8      kmail/kmmainwin.h  
 M  +1 -1      kmail/kmmainwin.rc  
 M  +1 -1      kmail/kmmessagetag.h  
 M  +3 -3      kmail/kmmimeparttree.cpp  
 M  +31 -33    kmail/kmmsgbase.cpp  
 M  +2 -2      kmail/kmmsgbase.h  
 M  +12 -11    kmail/kmmsginfo.h  
 M  +18 -17    kmail/kmreaderwin.cpp  
 M  +2 -4      kmail/kmreaderwin.h  
 M  +0 -7      kmail/kmsearchpattern.cpp  
 M  +33 -30    kmail/kmsearchpattern.h  
 M  +24 -31    kmail/kmsystemtray.cpp  
 M  +1 -1      kmail/maildirjob.cpp  
 M  +1 -1      kmail/mailserviceimpl.cpp  
 M  +2 -0      kmail/mailserviceimpl.h  
 M  +1 -0      kmail/main.cpp  
 M  +1 -1      kmail/mboxjob.cpp  
 M  +3 -3      kmail/messagecomposer.cpp  
 D             kmail/org.kde.kmail.kmail.xml  
 D             kmail/org.kde.kmail.kmailpart.xml  
 D             kmail/org.kde.kmail.mailcomposer.xml  
 M  +1 -2      kmail/pics/CMakeLists.txt  
 D             kmail/pics/icons (directory)  
 D             kmail/pics/kmmsgattachment.png  
 D             kmail/pics/kmmsgdel.png  
 D             kmail/pics/kmmsgflag.png  
 D             kmail/pics/kmmsgfullysigned.png  
 D             kmail/pics/kmmsgham.png  
 D             kmail/pics/kmmsgignored.png  
 D             kmail/pics/kmmsgnew.png  
 D             kmail/pics/kmmsgpartiallysigned.png  
 D             kmail/pics/kmmsgqueued.png  
 D             kmail/pics/kmmsgread.png  
 D             kmail/pics/kmmsgread_fwd.png  
 D             kmail/pics/kmmsgread_fwd_replied.png  
 D             kmail/pics/kmmsgread_replied.png  
 D             kmail/pics/kmmsgreplied.png  
 D             kmail/pics/kmmsgsent.png  
 D             kmail/pics/kmmsgspam.png  
 D             kmail/pics/kmmsgtodo.png  
 D             kmail/pics/kmmsgundefinedsigned.png  
 D             kmail/pics/kmmsgunseen.png  
 D             kmail/pics/kmmsgwatched.png  
 A             kmail/pics/mail-deleted.png   trunk/KDE/kdepim/kmail/pics/mail-deleted.png#753758
 A             kmail/pics/mail-forwarded-replied.png   trunk/KDE/kdepim/kmail/pics/mail-forwarded-replied.png#753758
 A             kmail/pics/mail-forwarded.png   trunk/KDE/kdepim/kmail/pics/mail-forwarded.png#753758
 A             kmail/pics/mail-important.png   trunk/KDE/kdepim/kmail/pics/mail-important.png#753758
 A             kmail/pics/mail-mark-junk.png   trunk/KDE/kdepim/kmail/pics/mail-mark-junk.png#753758
 A             kmail/pics/mail-mark-new.png   trunk/KDE/kdepim/kmail/pics/mail-mark-new.png#753758
 A             kmail/pics/mail-mark-task.png   trunk/KDE/kdepim/kmail/pics/mail-mark-task.png#753758
 A             kmail/pics/mail-new.png   trunk/KDE/kdepim/kmail/pics/mail-new.png#753758
 A             kmail/pics/mail-queued.png   trunk/KDE/kdepim/kmail/pics/mail-queued.png#753758
 A             kmail/pics/mail-replied.png   trunk/KDE/kdepim/kmail/pics/mail-replied.png#753758
 A             kmail/pics/mail-sent.png   trunk/KDE/kdepim/kmail/pics/mail-sent.png#753758
 A             kmail/pics/mail-signed-partially.png   trunk/KDE/kdepim/kmail/pics/mail-signed-partially.png#753758
 A             kmail/pics/mail-signed-verified.png   trunk/KDE/kdepim/kmail/pics/mail-signed-verified.png#753758
 A             kmail/pics/mail-signed.png   trunk/KDE/kdepim/kmail/pics/mail-signed.png#753758
 A             kmail/pics/mail-task.png   trunk/KDE/kdepim/kmail/pics/mail-task.png#753758
 A             kmail/pics/mail-thread-ignored.png   trunk/KDE/kdepim/kmail/pics/mail-thread-ignored.png#753758
 A             kmail/pics/mail-thread-watch.png   trunk/KDE/kdepim/kmail/pics/mail-thread-watch.png#753758
 M  +3 -1      kmail/profiles/profile-default-rc.desktop  
 M  +4 -2      kmail/profiles/profile-high-contrast-rc.desktop   [TRAILING SPACE]
 M  +2 -1      kmail/profiles/profile-html-rc.desktop  
 M  +2 -1      kmail/profiles/profile-purist-rc.desktop  
 M  +2 -0      kmail/profiles/profile-secure-rc.desktop  
 M  +3 -3      kmail/recipientseditor.cpp  
 M  +3 -0      kmail/rulewidgethandlermanager.cpp  
 M  +13 -5     kmail/searchjob.cpp  
 M  +10 -3     kmail/searchwindow.cpp  
 M  +143 -195  kmail/smimeconfiguration.ui  
 M  +3 -2      kmail/tests/CMakeLists.txt  
 M  +2 -6      kmailcvt/CMakeLists.txt  
 M  +4 -0      kmailcvt/filter_thebat.cxx  
 M  +0 -1      kmailcvt/filters.cxx  
 M  +0 -2      kmailcvt/filters.hxx  
 M  +0 -1      kmailcvt/kimportpage.cpp  
 M  +1 -1      kmobiletools/kmobiletools/Messages.sh  
 M  +1 -1      kmobiletools/kmobiletools/engines/at_engine/Messages.sh  
 M  +22 -4     kmobiletools/kmobiletools/engines/at_engine/at_engine.desktop  
 M  +24 -2     kmobiletools/kmobiletools/engines/fake_engine/fake_engine.desktop  
 M  +17 -3     kmobiletools/kmobiletools/engines/gammu_engine/gammu_engine.desktop  
 M  +15 -4     kmobiletools/kmobiletools/kmobiletools.desktop  
 M  +13 -2     kmobiletools/kmobiletools/libkmobiletools/akonadi/akonadi_serializer_sms.desktop  
 M  +5 -5      kmobiletools/kmobiletools/libkmobiletools/devicemenu.cpp  
 M  +5 -0      kmobiletools/kmobiletools/libkmobiletools/kmobiletoolscoreservice.desktop  
 M  +6 -1      kmobiletools/kmobiletools/libkmobiletools/kmobiletoolsengine.desktop  
 M  +5 -0      kmobiletools/kmobiletools/libkmobiletools/kmobiletoolsenginexp.desktop  
 M  +2 -2      kmobiletools/kmobiletools/libkmobiletools/sms.h  
 M  +10 -10    kmobiletools/kmobiletools/mainpart/addressdetails.cpp  
 M  +13 -13    kmobiletools/kmobiletools/mainpart/devicehome.cpp  
 M  +34 -1     kmobiletools/kmobiletools/mainpart/kmobiletools.notifyrc  
 M  +3 -3      kmobiletools/kmobiletools/mainpart/popupaddressee.cpp  
 M  +4 -4      kmobiletools/kmobiletools/mainpart/popupnumber.cpp  
 M  +2 -2      kmobiletools/kmobiletools/mainpart/servicemodel/deviceitem.cpp  
 M  +3 -3      kmobiletools/kmobiletools/mainpart/services/addressbook/addressbook.cpp  
 M  +20 -0     kmobiletools/kmobiletools/mainpart/services/addressbook/addressbook_service.desktop  
 M  +8 -2      kmobiletools/kmtsetup/kmtsetup.desktop  
 M  +6 -1      kmobiletools/mobile-kioslaves/mobile.desktop  
 M  +6 -1      kmobiletools/mobile-kioslaves/mobile.protocol  
 M  +5 -0      kmobiletools/mobile-kioslaves/obex/obex2.protocol  
 M  +5 -0      kmobiletools/mobile-kioslaves/p2kslave/p2k.protocol  
 M  +8 -0      kmobiletools/tests/kserialdeviceemulator/kserialdeviceemulator.desktop  
 M  +1 -1      knode/CMakeLists.txt  
 M  +1 -0      knode/KNode.desktop  
 M  +8 -1      knode/knarticlewindow.cpp  
 M  +3 -3      knode/kncollectionviewitem.cpp  
 M  +2 -2      knode/kncomposer.cpp  
 M  +1 -1      knode/knconfig.cpp  
 M  +55 -28    knode/knconfigwidgets.cpp  
 M  +4 -1      knode/knconfigwidgets.h  
 M  +7 -1      knode/kngroupmanager.cpp  
 M  +17 -10    knode/knmainwidget.cpp  
 M  +3 -1      knode/knode_config_accounts.desktop  
 M  +5 -2      knode/knode_config_appearance.desktop  
 M  +4 -2      knode/knode_config_cleanup.desktop   [TRAILING SPACE]
 M  +3 -0      knode/knode_config_identity.desktop  
 M  +1 -0      knode/knode_config_post_news.desktop  
 M  +2 -0      knode/knode_config_privacy.desktop  
 M  +3 -1      knode/knode_config_read_news.desktop  
 M  +2 -2      knode/knodeui.rc  
 D             knotes/icons/ox16-action-enum_list.png  
 D             knotes/icons/ox16-action-format_decreaseindent.png  
 D             knotes/icons/ox16-action-format_increaseindent.png  
 D             knotes/icons/ox16-action-text_sub.png  
 D             knotes/icons/ox16-action-text_super.png  
 M  +8 -1      knotes/knote.cpp  
 M  +12 -8     knotes/knoteconfigdlg.cpp  
 M  +8 -8      knotes/knoteedit.cpp  
 M  +3 -1      knotes/knotes.desktop  
 M  +1 -0      knotes/knotes_manager.desktop  
 M  +1 -1      knotes/knotesappui.rc  
 M  +1 -1      knotes/knoteslegacy.cpp  
 M  +2 -1      knotes/local.desktop  
 M  +6 -1      kode/kwsdl/kwsdl_compiler.desktop  
 M  +3 -1      kode/kwsdl/wsdl/element.h  
 M  +3 -3      kode/kxforms/editor/editorwidget.cpp  
 M  +8 -2      kode/kxforms/kxforms.desktop  
 M  +1 -1      kode/kxforms/mainwindow.cpp  
 M  +2 -2      kontact/interfaces/core.cpp  
 M  +1 -1      kontact/interfaces/core.h  
 M  +2 -1      kontact/interfaces/kontactplugin.desktop  
 M  +58 -58    kontact/plugins/akregator/akregator_plugin.cpp  
 M  +17 -18    kontact/plugins/akregator/akregator_plugin.h  
 M  +5 -2      kontact/plugins/akregator/akregatorplugin.desktop  
 M  +5 -2      kontact/plugins/akregator/akregatorplugin3.2.desktop  
 M  +1 -1      kontact/plugins/kaddressbook/CMakeLists.txt  
 M  +4 -1      kontact/plugins/kaddressbook/kaddressbook_plugin.cpp  
 M  +2 -1      kontact/plugins/kaddressbook/kaddressbookplugin.desktop  
 M  +2 -1      kontact/plugins/karm/karmplugin.desktop  
 M  +2 -1      kontact/plugins/kmail/CMakeLists.txt  
 M  +3 -3      kontact/plugins/kmail/kcmkmailsummary.cpp  
 M  +8 -1      kontact/plugins/kmail/kcmkmailsummary.desktop   [TRAILING SPACE]
 M  +4 -1      kontact/plugins/kmail/kmail_plugin.cpp  
 M  +2 -1      kontact/plugins/kmail/kmailplugin.desktop  
 M  +16 -4     kontact/plugins/kmobiletools/kmobiletools.desktop  
 M  +34 -33    kontact/plugins/kmobiletools/kmobiletools_plugin.cpp  
 M  +15 -17    kontact/plugins/kmobiletools/kmobiletools_plugin.h  
 M  +2 -1      kontact/plugins/knode/knodeplugin.desktop  
 M  +8 -1      kontact/plugins/knotes/knotes_part_p.h  
 M  +4 -1      kontact/plugins/knotes/knotes_plugin.cpp  
 M  +2 -1      kontact/plugins/knotes/knotesplugin.desktop  
 M  +4 -1      kontact/plugins/korganizer/journalplugin.cpp  
 M  +5 -2      kontact/plugins/korganizer/journalplugin.desktop  
 M  +13 -1     kontact/plugins/korganizer/kcmapptsummary.desktop  
 M  +13 -0     kontact/plugins/korganizer/kcmtodosummary.desktop  
 M  +5 -2      kontact/plugins/korganizer/korganizerplugin.cpp  
 M  +2 -1      kontact/plugins/korganizer/korganizerplugin.desktop  
 M  +5 -2      kontact/plugins/korganizer/todoplugin.cpp  
 M  +4 -2      kontact/plugins/korganizer/todoplugin.desktop  
 M  +8 -1      kontact/plugins/newsticker/kcmkontactknt.desktop  
 M  +3 -1      kontact/plugins/newsticker/newstickerplugin.desktop  
 M  +12 -0     kontact/plugins/specialdates/kcmsdsummary.desktop  
 M  +2 -2      kontact/plugins/specialdates/sdsummarywidget.cpp  
 M  +5 -3      kontact/plugins/specialdates/specialdatesplugin.desktop  
 M  +1 -1      kontact/plugins/summary/CMakeLists.txt  
 M  +4 -1      kontact/plugins/summary/kcmkontactsummary.desktop  
 M  +4 -1      kontact/plugins/summary/summaryplugin.desktop  
 M  +3 -4      kontact/plugins/summary/summaryview_plugin.cpp  
 M  +4 -1      kontact/plugins/test/kptestplugin.desktop  
 M  +5 -2      kontact/plugins/weather/weatherplugin.desktop  
 M  +1 -0      kontact/src/Kontact.desktop  
 M  +2 -10     kontact/src/aboutdialog.cpp  
 M  +1 -1      kontact/src/aboutdialog.h  
 M  +24 -4     kontact/src/kontact.setdlg  
 M  +12 -10    kontact/src/mainwindow.cpp  
 M  +19 -19    korganizer/actionmanager.cpp  
 M  +2 -1      korganizer/archivedialog.cpp  
 M  +8 -0      korganizer/dbuscalendar.desktop  
 M  +26 -24    korganizer/exportwebdialog.cpp  
 M  +24 -29    korganizer/freebusyurldialog.cpp  
 M  +36 -21    korganizer/incidencechanger.cpp  
 M  +3 -1      korganizer/interfaces/calendar/calendardecoration.desktop  
 M  +1 -1      korganizer/interfaces/calendar/calendardecoration.h  
 M  +2 -1      korganizer/interfaces/calendar/calendarplugin.desktop  
 M  +4 -7      korganizer/interfaces/calendar/plugin.h  
 M  +1 -0      korganizer/interfaces/korganizer/korganizerpart.desktop  
 M  +1 -0      korganizer/interfaces/korganizer/korgprintplugin.desktop  
 M  +3 -3      korganizer/interfaces/korganizer/part.h  
 M  +1 -1      korganizer/interfaces/korganizer/printplugin.h  
 M  +2 -2      korganizer/journalview.cpp  
 M  +13 -10    korganizer/koagendaview.cpp  
 M  +4 -4      korganizer/kocore.cpp  
 M  +1 -1      korganizer/kodialogmanager.cpp  
 M  +133 -100  korganizer/koeditoralarms.cpp  
 M  +35 -13    korganizer/koeditorgeneral.cpp  
 M  +2 -0      korganizer/koeditorgeneral.h  
 M  +7 -2      korganizer/koeditorgeneralevent.cpp  
 M  +1 -0      korganizer/koeditorgeneralevent.h  
 M  +57 -54    korganizer/koeventpopupmenu.cpp  
 M  +3 -7      korganizer/koeventpopupmenu.h  
 M  +6 -12     korganizer/koeventviewer.cpp  
 M  +5 -6      korganizer/koeventviewer.h  
 M  +21 -28    korganizer/koeventviewerdialog.cpp  
 M  +0 -1      korganizer/koeventviewerdialog.h  
 M  +106 -83   korganizer/kogroupware.cpp  
 M  +17 -11    korganizer/kogroupware.h  
 M  +9 -65     korganizer/komailclient.cpp  
 M  +0 -15     korganizer/komailclient.h  
 M  +3 -3      korganizer/koprefsdialog.cpp  
 M  +5 -3      korganizer/korgac/korgac.desktop  
 M  +5 -3      korganizer/korganizer-import.desktop  
 M  +5 -2      korganizer/korganizer.desktop  
 M  +1 -1      korganizer/korganizer.kcfg  
 M  +19 -4     korganizer/korganizer_configcolorsandfonts.desktop  
 M  +6 -2      korganizer/korganizer_configdesignerfields.desktop  
 M  +2 -0      korganizer/korganizer_configfreebusy.desktop  
 M  +5 -3      korganizer/korganizer_configgroupscheduling.desktop  
 M  +3 -1      korganizer/korganizer_configmain.desktop  
 M  +4 -2      korganizer/korganizer_configplugins.desktop  
 M  +26 -0     korganizer/korganizer_configtime.desktop  
 M  +2 -0      korganizer/korganizer_configviews.desktop  
 M  +2 -2      korganizer/korganizer_part.rc  
 M  +2 -2      korganizer/korganizerui.rc  
 M  +103 -104  korganizer/kotimespentview.cpp  
 M  +4 -4      korganizer/kotimespentview.h  
 M  +12 -18    korganizer/kotodoview.cpp  
 M  +2 -15     korganizer/kotodoviewquicksearch.cpp  
 M  +0 -3      korganizer/kotodoviewquicksearch.h  
 M  +118 -100  korganizer/kowhatsnextview.cpp  
 M  +13 -12    korganizer/kowhatsnextview.h  
 M  +1 -0      korganizer/main.cpp  
 M  +2 -1      korganizer/plugins/datenums/datenums.cpp  
 M  +4 -2      korganizer/plugins/datenums/datenums.desktop  
 M  +2 -1      korganizer/plugins/hebrew/hebrew.cpp  
 M  +9 -1      korganizer/plugins/hebrew/hebrew.desktop   [TRAILING SPACE]
 M  +1 -0      korganizer/plugins/picoftheday/CMakeLists.txt  
 M  +4 -3      korganizer/plugins/picoftheday/picoftheday.cpp  
 M  +7 -1      korganizer/plugins/picoftheday/picoftheday.desktop  
 M  +1 -1      korganizer/plugins/picoftheday/picoftheday.h  
 M  +1 -1      korganizer/plugins/printing/journal/journalprint.cpp  
 M  +5 -2      korganizer/plugins/printing/journal/journalprint.desktop  
 M  +1 -1      korganizer/plugins/printing/list/listprint.cpp  
 M  +6 -3      korganizer/plugins/printing/list/listprint.desktop  
 M  +1 -1      korganizer/plugins/printing/whatsnext/whatsnextprint.cpp  
 M  +4 -2      korganizer/plugins/printing/whatsnext/whatsnextprint.desktop   [TRAILING SPACE]
 M  +1 -1      korganizer/plugins/printing/year/yearprint.cpp  
 M  +9 -3      korganizer/plugins/printing/year/yearprint.desktop  
 M  +2 -2      korganizer/plugins/thisdayinhistory/thisdayinhistory.cpp  
 M  +9 -2      korganizer/plugins/thisdayinhistory/thisdayinhistory.desktop  
 M  +1 -1      korganizer/plugins/timespanview/timespanview.cpp  
 M  +7 -5      korganizer/plugins/timespanview/timespanview.desktop   [TRAILING SPACE]
 M  +16 -12    korganizer/printing/calprintdefaultplugins.cpp  
 M  +303 -362  korganizer/printing/calprinttodoconfig_base.ui  
 M  +34 -31    korganizer/printing/cellitem.cpp  
 M  +6 -7      korganizer/printing/cellitem.h  
 M  +1 -0      korganizer/publishdialog.cpp  
 M  +21 -6     korganizer/resourceview.cpp  
 M  +2 -4      korganizer/tests/CMakeLists.txt  
 M  +2 -1      korganizer/theme.cpp  
 M  +6 -5      korganizer/timelabels.cpp  
 M  +0 -4      korganizer/urihandler.cpp  
 M  +1 -0      korn/KOrn.desktop  
 M  +0 -1      korn/account_input.cpp  
 M  +0 -2      korn/boxcontaineritem.cpp  
 M  +0 -3      korn/dockeditem.cpp  
 M  +3 -2      korn/hvcontainer.cpp  
 M  +0 -3      korn/kornaccountcfgimpl.cpp  
 M  +0 -2      korn/kornboxcfgimpl.cpp  
 M  +0 -4      korn/korncfgimpl.cpp  
 M  +0 -1      korn/maildlg.cpp  
 M  +0 -1      korn/mbox_proto.cpp  
 M  +0 -1      korn/password.cpp  
 M  +0 -1      korn/progress_dialog_impl.cpp  
 M  +0 -1      korn/qmail_proto.cpp  
 M  +0 -1      korn/subjectsdlg.cpp  
 M  +0 -1      korn/systemtray.cpp  
 M  +6 -3      kpilot/conduits/abbrowserconduit/abbrowser_conduit.desktop  
 M  +2 -1      kpilot/conduits/docconduit/doc_conduit.desktop  
 M  +1 -0      kpilot/conduits/docconduit/kpalmdoc.desktop  
 M  +13 -0     kpilot/conduits/keyringconduit/kpilot-conduit-keyring.desktop  
 M  +5 -3      kpilot/conduits/malconduit/mal_conduit.desktop  
 M  +4 -2      kpilot/conduits/memofileconduit/memofile-conduit.desktop  
 M  +2 -1      kpilot/conduits/notepadconduit/notepad-conduit.desktop  
 M  +2 -0      kpilot/conduits/null/null-conduit.desktop  
 M  +3 -1      kpilot/conduits/popmail/popmail-conduit.desktop  
 M  +3 -0      kpilot/conduits/recordconduit/record-conduit.desktop  
 M  +3 -1      kpilot/conduits/sysinfoconduit/sysinfo_conduit.desktop  
 M  +6 -4      kpilot/conduits/timeconduit/time_conduit.desktop  
 M  +2 -0      kpilot/conduits/vcalconduit/todo-conduit.desktop  
 M  +3 -1      kpilot/conduits/vcalconduit/vcal-conduit.desktop  
 M  +3 -1      kpilot/kpilot/kpilot.desktop  
 M  +4 -2      kpilot/kpilot/kpilot_config.desktop  
 M  +1 -0      kpilot/kpilot/kpilotconduit.desktop  
 M  +1 -0      kpilot/kpilot/kpilotdaemon.desktop  
 M  +287 -389  kpilot/lib/kpilotdevicelink.cc  
 M  +4 -2      kpilot/lib/kpilotdevicelink.h  
 A             kpilot/lib/kpilotdevicelinkPrivate.h   trunk/KDE/kdepim/kpilot/lib/kpilotdevicelinkPrivate.h#753758 [License: LGPL (v2.1+)]
 M  +3 -1      kpilot/lib/kpilotlink.cc  
 M  +3 -1      kpilot/lib/kpilotlink.h  
 M  +1 -0      kresources/birthdays/kabc.desktop  
 M  +16 -6     kresources/birthdays/resourcekabc.cpp  
 M  +3 -2      kresources/birthdays/resourcekabc.h  
 M  +6 -0      kresources/blog/blog.desktop  
 M  +35 -32    kresources/blog/resourceblog.cpp  
 M  +3 -2      kresources/blog/resourceblog.h  
 M  +1 -0      kresources/egroupware/kabc_xmlrpc.desktop  
 M  +16 -7     kresources/egroupware/kcal_resourcexmlrpc.cpp  
 M  +1 -0      kresources/egroupware/kcal_resourcexmlrpc.h  
 M  +1 -0      kresources/egroupware/kcal_xmlrpc.desktop  
 M  +1 -0      kresources/egroupware/knotes_xmlrpc.desktop  
 M  +12 -3     kresources/featureplan/kcal_resourcefeatureplan.cpp  
 M  +2 -0      kresources/featureplan/kcal_resourcefeatureplan.desktop  
 M  +1 -0      kresources/featureplan/kcal_resourcefeatureplan.h  
 M  +2 -1      kresources/groupdav/kabc_groupdav.desktop  
 M  +2 -1      kresources/groupdav/kcal_groupdav.desktop  
 M  +1 -0      kresources/kolab/kabc/kolab.desktop  
 M  +1 -0      kresources/kolab/kcal/kolab.desktop  
 M  +13 -3     kresources/kolab/kcal/resourcekolab.cpp  
 M  +3 -2      kresources/kolab/kcal/resourcekolab.h  
 M  +1 -0      kresources/kolab/knotes/kolabresource.desktop  
 M  +23 -16    kresources/lib/kcal_resourcegroupwarebase.cpp  
 M  +6 -5      kresources/lib/kcal_resourcegroupwarebase.h  
 M  +3 -1      kresources/remote/remote.desktop  
 M  +25 -17    kresources/remote/resourceremote.cpp  
 M  +4 -4      kresources/remote/resourceremote.h  
 M  +1 -1      kresources/scalix/CMakeLists.txt  
 M  +11 -0     kresources/scalix/kabc/scalix.desktop  
 M  +13 -3     kresources/scalix/kcal/resourcescalix.cpp  
 M  +3 -2      kresources/scalix/kcal/resourcescalix.h  
 M  +11 -0     kresources/scalix/kcal/scalix.desktop  
 M  +1 -1      kresources/scalix/kioslave/CMakeLists.txt  
 D             kresources/scalix/kioslave/Messages.sh  
 M  +11 -0     kresources/scalix/knotes/scalix.desktop  
 A             kresources/scalix/scalixadmin (directory)   trunk/KDE/kdepim/kresources/scalix/scalixadmin#753758
 M  +1 -1      kresources/slox/kabc_ox.desktop  
 M  +1 -1      kresources/slox/kcal_ox.desktop  
 M  +65 -56    kresources/slox/kcalresourceslox.cpp  
 M  +1 -0      kresources/slox/kcalresourceslox.h  
 M  +1 -0      kresources/tvanytime/kcal_tvanytime.desktop  
 M  +4 -1      ktimetracker/Messages.sh  
 M  +1 -1      ktimetracker/edithistorydialog.cpp  
 M  +7 -6      ktimetracker/karmstorage.cpp  
 M  +2 -2      ktimetracker/karmui.rc  
 M  +1 -1      ktimetracker/karmutility.cpp  
 M  +6 -7      ktimetracker/ktimewidget.cpp  
 M  +15 -13    ktimetracker/mainwindow.cpp  
 D             ktimetracker/pics/icons/ox128-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox128-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox128-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/ox16-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox16-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox16-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/ox22-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox22-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox22-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/ox32-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox32-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox32-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/ox48-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox48-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox48-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/ox64-action-new-subtask.png  
 A             ktimetracker/pics/icons/ox64-action-subtask-new-ktimetracker.png   trunk/KDE/kdepim/ktimetracker/pics/icons/ox64-action-subtask-new-ktimetracker.png#753758
 D             ktimetracker/pics/icons/oxsc-action-new-subtask.svgz  
 A             ktimetracker/pics/icons/oxsc-action-subtask-new-ktimetracker.svgz   trunk/KDE/kdepim/ktimetracker/pics/icons/oxsc-action-subtask-new-ktimetracker.svgz#753758
 M  +6 -3      ktimetracker/support/karm.desktop  
 M  +137 -163  ktimetracker/task.cpp  
 M  +54 -8     ktimetracker/task.h  
 M  +38 -15    ktimetracker/taskview.cpp  
 M  +1 -1      ktimetracker/taskview.h  
 M  +115 -54   ktimetracker/timetrackerwidget.cpp  
 M  +10 -0     ktimetracker/timetrackerwidget.h  
 M  +0 -2      ktnef/attachpropertydialog.cpp  
 M  +5 -3      ktnef/ktnef.desktop   [TRAILING SPACE]
 M  +17 -18    ktnef/ktnefmain.cpp  
 M  +0 -2      ktnef/qwmf.cpp  
 M  +0 -1      ktnef/qwmf.h  
 M  +1 -3      libkdepim/CMakeLists.txt  
 D             libkdepim/addresseeemailselection.cpp  
 D             libkdepim/addresseeemailselection.h  
 M  +12 -5     libkdepim/addresseelineedit.cpp  
 D             libkdepim/addresseeselector.cpp  
 D             libkdepim/addresseeselector.h  
 M  +11 -14    libkdepim/categoryeditdialog.cpp  
 M  +1 -1      libkdepim/categoryeditdialog.h  
 M  +1 -1      libkdepim/categoryselectdialog.h  
 M  +5 -5      libkdepim/kfoldertree.cpp  
 M  +4 -4      libkdepim/kfoldertree.h  
 M  +4 -0      libkdepim/kmailcompletion.h  
 M  +41 -16    libkdepim/kmeditor.cpp  
 M  +37 -1     libkdepim/kmeditor.h  
 M  +2 -1      libkdepim/komposer/core/komposereditor.desktop  
 M  +2 -1      libkdepim/komposer/core/komposerplugin.desktop  
 M  +21 -2     libkdepim/komposer/plugins/default/defaulteditor.desktop  
 M  +1 -1      libkdepim/kscoringeditor.cpp  
 M  +8 -20     libkdepim/pluginloaderbase.cpp  
 M  +2 -2      libkdepim/recentaddresses.cpp  
 M  +0 -11     libkdepim/tests/CMakeLists.txt  
 D             libkdepim/tests/testaddresseeselector.cpp  
 M  +20 -0     libkleo/libkleopatrarc.desktop  
 M  +44 -19    maildir/maildir.cpp  
 M  +8 -3      maildir/maildir.h  
 M  +2 -2      plugins/kmail/bodypartformatter/text_calendar.desktop  
 M  +2 -2      plugins/kmail/bodypartformatter/text_vcard.desktop  
 M  +5 -2      plugins/kmail/bodypartformatter/text_xdiff.desktop  
 M  +2 -1      strigi-analyzer/rfc822/kfile_rfc822.desktop  
 M  +3 -2      wizards/groupwarewizard.desktop  
 M  +2 -1      wizards/scalixwizard.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=753784
Comment 22 Jean-Christophe Dubois 2007-12-29 10:50:25 UTC
Created attachment 22749 [details]
Patch for the enterprise branch of kdepim 

This is a patch to correct the integer overflow in folder size computation for
the enterprise branch of kdepim. 
   
I tested it on an i686 platform (kubuntu 7.10) and the size is now displayed
correctly if the folder is > 2GB. 
 
This patch is a corrected version of the previous one and should apply cleanly
on the enterprise branch of kdepim.
Comment 23 Jean-Christophe Dubois 2008-01-02 09:15:47 UTC
It looks like I forgot one change in kmail/foldertreebase.cpp that is now required.
Comment 24 Jean-Christophe Dubois 2008-01-02 09:20:40 UTC
Created attachment 22794 [details]
Patch for the enterprise branch of kdepim 

This is a patch to correct the integer overflow in folder size computation for
the enterprise branch of kdepim. 
     
I tested it on an i686 platform (kubuntu 7.10) and the size is now displayed
correctly if the folder is > 2GB. 
   
This patch is a corrected version of the previous one (adding
foldertreebase.cpp fix) and should apply cleanly on the enterprise branch of
kdepim.
Comment 25 Jean-Christophe Dubois 2008-01-07 15:23:42 UTC
Thomas,

Will somebody commit this code to the enterprise branch?

Thanks
Comment 26 Thomas McGuire 2008-01-12 14:44:59 UTC
>Will somebody commit this code to the enterprise branch? 
Done, in revision 760353. See http://websvn.kde.org/?view=rev&revision=760353. I forgot the CCBUG keyword in the commit message though. Thanks for the patch!